<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Open本紀 1.1→1.2</title>
    </head>
    <body>
        <h1>Open本紀 1.1→1.2</h1>
<?php
print "<b>データベース更新</b><br>";

$db_obj = new SQLite3("entries/main.db");

$sqlite_r1 = $db_obj->query("ALTER TABLE `open_hongi_articles` RENAME TO `tmp1.1to1.2`");
if($sqlite_r1 == FALSE){
    print "クエリ1エラー".$db_obj->lastErrorMsg();
    exit();
}

$sqlite_r2 = $db_obj->query("CREATE TABLE `open_hongi_articles`(`path` TEXT NOT NULL PRIMARY KEY, `title` TEXT, `user_id` TEXT, `created_date` TEXT, `modified_date` TEXT, `main_image` TEXT, `public` INTEGER, `static_page` INTEGER)");
if($sqlite_r2 == FALSE){
    print "クエリ2エラー".$db_obj->lastErrorMsg();
    exit();
}

$sqlite_r3 = $db_obj->query("INSERT INTO `open_hongi_articles`(`path`, `title`, `user_id`, `created_date`, `modified_date`, `main_image`, `public`, `static_page`) SELECT `path`, `title`, `user_id`, `created_date`, `modified_date`, `main_image`, `visibility`, `static_page` FROM `tmp1.1to1.2`");
if($sqlite_r3 == FALSE){
    print "クエリ3エラー".$db_obj->lastErrorMsg();
    exit();
}

$sqlite_r4 = $db_obj->query("DROP TABLE `tmp1.1to1.2`");
if($sqlite_r4 == FALSE){
    print "クエリ4エラー".$db_obj->lastErrorMsg();
    exit();
}

$sqlite_r1_3 = $db_obj->query("CREATE INDEX `idx_1` ON `open_hongi_articles`(`user_id`,`created_date`)");
if($sqlite_r1_3 == FALSE){
    print "テーブル open_hongi_articles のインデックスの作成に失敗しました。".$db_obj->lastErrorMsg();
    return FALSE;
}

$sqlite_r1_4 = $db_obj->query("CREATE INDEX `idx_2` ON `open_hongi_articles`(`created_date`)");
if($sqlite_r1_4 == FALSE){
    print "テーブル open_hongi_articles のインデックスの作成に失敗しました。".$db_obj->lastErrorMsg();
    return FALSE;
}

$sqlite_r1_5 = $db_obj->query("CREATE INDEX `idx_3` ON `open_hongi_articles`(`modified_date`)");
if($sqlite_r1_5 == FALSE){
    print "テーブル open_hongi_articles のインデックスの作成に失敗しました。".$db_obj->lastErrorMsg();
    return FALSE;
}

print "<br><b>完了しました。このファイル(1.1to1.2-2.php)は削除してください。</b>";
?>
    </body>
</html>
