<?php
include "../common/main.php";
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

if(isset($_SERVER["PATH_INFO"])){
    $date_path = explode("/",$_SERVER["PATH_INFO"]);
}

if(isset($date_path[1])){
    if(isset($date_path[2])){
        if(isset($date_path[3])){
            if(isset($_GET["page"]) == TRUE){
                $get_page = intval($_GET["page"]);
                
                if($get_page <= 0 or is_numeric($_GET["page"]) == FALSE){
                    $get_page = 1;
                }
                
                $limit_q = $get_page*15 - 15;
            }else{
                $get_page = 1;
                $limit_q = 0;
            }
            
            $title = $date_path[1]."年 ".$date_path[2]."月 ".$date_path[3]."日の画像";
        }else{
            $title = $date_path[1]."年 ".$date_path[2]."月の画像";
        }
    }else{
        $title = $date_path[1]."年の画像";
    }
}else{
    $title = "画像の一覧";
}

print "<title>".$title." | ".$setting["title"]."</title>\n";
print $setting["head_code"]."\n";
?>
    </head>
    <body>
        <div id="wrapper">
            <header>
<?php header_include(); ?>
                <div id="content">
<?php
include "../lib/chonmage_core/main.php";
$chonmage = new chonmage();

$h1 = "<h1><img src='".$dir_path."style/image.png' alt='' style='width: 50px;'>".$title."</h1>";
print "<a href='".$dir_path."archive/'>目次</a> &gt; ";

if(isset($date_path[1])){
    print "<a href='".$dir_path."archive/image.php'>画像の一覧</a> &gt; ";
    
    if(isset($date_path[2])){
        print "<a href='".$dir_path."archive/image.php/".$date_path[1]."'>".$date_path[1]."年</a> &gt; ";
        
        if(isset($date_path[3])){
            print "<a href='".$dir_path."archive/image.php/".$date_path[1]."/".$date_path[2]."'>".$date_path[2]."月</a> &gt; ";
            print $h1;
            
            $kekka = $chonmage->get_image_list_of_day($date_path[1],$date_path[2],$date_path[3]);
            $kosu = count($kekka);
            
            print "合計<b>".$kosu."</b>枚<br><br>\n";
            
            for($cnt = 0; $cnt < $kosu; $cnt++){
                $info = $chonmage->get_image_info($kekka[$cnt]);
                print "<a href='".$dir_path."image/".$kekka[$cnt]."_600.jpeg' target='_blank' class='image_thum'><img src='".$dir_path."image/".$kekka[$cnt]."_150.jpeg' alt='".$info["image_title"]."'>".$info["image_title"]."</a>\n";
            }
        }else{
            print $h1;
            
            $kekka = $chonmage->get_days($date_path[1],$date_path[2]);
            $kosu = count($kekka);
            
            for($cnt = 0; $cnt < $kosu; $cnt++){
                print "<a href='".$dir_path."archive/image.php/".$date_path[1]."/".$date_path[2]."/".$kekka[$cnt]."' style='font-size: x-large;'>".$kekka[$cnt]."日の画像</a>";
                if($cnt % 4 == 3){
                    print "<br><br>\n";
                }else{
                    print "　　　";
                }
            }
        }
    }else{
        print $h1;
        
        $kekka = $chonmage->get_months($date_path[1]);
        $kosu = count($kekka);
        
        for($cnt = 0; $cnt < $kosu; $cnt++){
            print "<a href='".$dir_path."archive/image.php/".$date_path[1]."/".$kekka[$cnt]."' style='font-size: x-large;'>".$kekka[$cnt]."月の画像</a>";
            if($cnt % 4 == 3){
                print "<br><br>\n";
            }else{
                print "　　　";
            }
        }
    }
}else{
    print $h1;
    
    $kekka = $chonmage->get_years();
    $kosu = count($kekka);
    
    for($cnt = 0; $cnt < $kosu; $cnt++){
        print "<a href='".$dir_path."archive/image.php/".$kekka[$cnt]."' style='font-size: x-large;'>".$kekka[$cnt]."年</a>";
        if($cnt % 4 == 3){
            print "<br><br>\n";
        }else{
            print "　　　";
        }
    }
}
?>
                </div>
<?php
if(!$mobile){
    print "<div id='side'>\n";
    
    include "side.php";
    
    print "</div>\n";
}

footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->