<?php
include "../common/main.php";
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

if(isset($_SERVER["PATH_INFO"])){
    $date_path = explode("/",$_SERVER["PATH_INFO"]);
}

if(isset($date_path[1])){
    if(isset($date_path[2])){
        if(isset($date_path[3])){
            $title = $date_path[1]."年 ".$date_path[2]."月 ".$date_path[3]."日の記事";
        }else{
            $title = $date_path[1]."年 ".$date_path[2]."月の記事";
        }
    }else{
        $title = $date_path[1]."年の記事";
    }
}else{
    $title = "目次";
}

print "<title>".$title." | ".$setting["title"]."</title>\n";

print $setting["head_code"]."\n";
?>
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<?php
$base_path = "../entries/";

if(isset($date_path[1])){
        $path_y = $base_path.$date_path[1]."/";
        
    print "<a href='".$dir_path."archive/'>目次</a> &gt; ";
    
    if(isset($date_path[2])){
        print "<a href='".$dir_path."archive/index.php/".$date_path[1]."'>".$date_path[1]."年</a> &gt; ";
        
        if(isset($date_path[3])){
            print "<a href='".$dir_path."archive/index.php/".$date_path[1]."/".$date_path[2]."'>".$date_path[2]."月</a> &gt;<br><br>";
            
            for($date_cnt_1 = $date_path[3] - 1; file_exists($path_y.$date_path[2]."/calendar/".$date_cnt_1.".ini") === FALSE; $date_cnt_1 = $date_cnt_1 - 1){
                if($date_cnt_1 <= 0){
                    break;
                }
            }
            if($date_cnt_1 !== 0){
                print "<a href='".$dir_path."archive/index.php/".$date_path[1]."/".$date_path[2]."/".$date_cnt_1."' style='font-size: x-large; float: left;'>&lt;&lt; ".$date_cnt_1."日</a>";
            }
            
            for($date_cnt_2 = $date_path[3] + 1; file_exists($path_y.$date_path[2]."/calendar/".$date_cnt_2.".ini") === FALSE; $date_cnt_2++){
                if($date_cnt_2 >= 32){
                    break;
                }
            }
            if($date_cnt_2 !== 32){
                print "<a href='".$dir_path."archive/index.php/".$date_path[1]."/".$date_path[2]."/".$date_cnt_2."' style='font-size: x-large; float: right;'>".$date_cnt_2."日 &gt;&gt;</a>";
            }
            
            print "<br><br>\n<h1>".$title."</h1>";
            
            $cale = parse_ini_file($path_y.$date_path[2]."/calendar/".$date_path[3].".ini");
            
            for($cale_cnt = 1; isset($cale["path"][$cale_cnt]); $cale_cnt++){
                $config = parse_ini_file("../entries/".$cale["path"][$cale_cnt]."_config.ini");
                
                if($config["public"]){
                    print "<a href='".$dir_path."blog.php/".$cale["path"][$cale_cnt]."' class='link_box'>\n";
                    
                    if(!empty($config["main_image"])){
                        print "<img src='".$dir_path."image/".$config["main_image"]."_150.jpeg' alt=''>";
                    }
                    
                    print "<b>".$config["title"]."</b><br>\n";
                    
                    if(!$mobile){
                        print "<span class='supplement'>カテゴリー: ".$config["category"][1]."<br>投稿日時： ".$config["created_date"]."</span><br>\n";
                    }
                    print "</a>\n";
                }
            }
            
            print "<br><br><br>";
        }else{
            print "<h1>".$title."</h1>";
        }
        
        print "<h2><b>".$date_path[1]."</b>年 <b>".$date_path[2]."</b>月</h2>";
        print "<table class='calendar' style='font-weight: bold;'><tr><td style='color: #ff3333;'>日</td><td style='color: #333333;'>月</td><td style='color: #333333;'>火</td><td style='color: #333333;'>水</td><td style='color: #333333;'>木</td><td style='color: #333333;'>金</td><td style='color: #3333ff;'>土</td></tr></table>";
        readfile($path_y.$date_path[2]."/calendar/main.html");
    }else{
        print "<h1>".$title."</h1>";
        
        $print_cnt = 1;
        
        for($dir_cnt = 1; $dir_cnt <= 12; $dir_cnt++){
            if(is_dir($path_y.$dir_cnt) === TRUE){
                print "<a href='".$dir_path."archive/index.php/".$date_path[1]."/".$dir_cnt."' style='font-size: x-large;'>".$dir_cnt."月</a>";
                if($print_cnt % 3 == 0){
                    print "<br><br>\n";
                }else{
                    print "　　　";
                }
                $print_cnt++;
            }
        }
    }
}else{
    print "<h1>".$title."</h1>";
    
    if(!$mobile){
        print "<div style='width: 280px; float: left;'>\n";
    }
    print "<h2>年別の目次</h2>\n";
    
    $years = glob("../entries/[0-9][0-9][0-9][0-9]");
    
    $years_kosu = count($years);
    for($dir_cnt = 0; $dir_cnt < $years_kosu; $dir_cnt++){
        $year = basename($years[$dir_cnt]);
        print "<a href='".$dir_path."archive/index.php/".$year."' style='font-size: x-large;'>".$year."年</a>";
            if($dir_cnt % 2 == 1){
                print "<br><br>\n";
            }else{
                print "　　　";
            }
    }
    if(!$mobile){
        print "</div>\n";
        
        print "<div style='width: 420px; float: left; margin-top: 32px;'>\n";
    }else{
        print "<br><br><br>\n";
    }
    print "<a href='".$dir_path."search/' class='image_thum'><img src='".$dir_path."style/search.png' alt='ブログ内検索'>ブログ内検索</a>\n";
    print "<a href='category.php' class='image_thum'><img src='".$dir_path."style/category.png' alt='カテゴリー'>カテゴリー</a>\n";
    print "<a href='tag.php' class='image_thum'><img src='".$dir_path."style/tag.png' alt='最近のタグ'>最近のタグ</a>\n";
    print "<a href='image.php' class='image_thum'><img src='".$dir_path."style/image.png' alt='投稿された画像'>投稿された画像</a>\n";
    print "<a href='comment.php' class='image_thum'><img src='".$dir_path."style/comment.png' alt='最近のコメント'>最近のコメント</a>\n";
    if(!$mobile){
        print "</div>\n";
        
        print "<br style='clear: both;'>\n";
    }
}
?>
                </div>
<?php
if(!$mobile){
    print "<div id='side'>\n";
    
    include "side.php";
    
    print "</div>\n";
}

footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->