<?php
include "../common/main.php";
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

if(isset($_GET["page"]) == TRUE){
    $get_page = intval($_GET["page"]);
    
    if($get_page <= 0 or is_numeric($_GET["page"]) == FALSE){
        $get_page = 1;
    }
}else{
    $get_page = 1;
    $limit_q = 0;
}

if(isset($_SERVER["PATH_INFO"])){
    $p_info = substr($_SERVER["PATH_INFO"],1);
    print "<title>タグ「".$p_info."」の記事 (".$get_page.") | ".$setting["title"]."</title>";
}else{
    print "<title>最近のタグ | ".$setting["title"]."</title>";
}

print $setting["head_code"]."\n";
?>
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<?php
if(isset($_SERVER["PATH_INFO"])){
    include "../modules/db.php";
    $db = new open_hongi_db();
    
    print "<a href='".$dir_path."archive/'>目次</a> &gt; <a href='".$dir_path."archive/tag.php'>タグ</a> &gt;";
    
    print "<h1><img src='".$dir_path."style/tag.png' alt='' style='width: 50px;'> タグ「".$p_info."」の記事</h1>";
    
    $tag = substr($p_info,0,63);
    
    $kekka = $db->search_by_tag($tag,10,$get_page);
    
    if($kekka["count"] != 0){
        print "<b>".$get_page."</b>ページ目　　<b>".$kekka["count"]."</b>件 中　".(($get_page - 1) * 10 + 1)."件目 から ".($get_page * 10)."件目<br><br>\n";
    }else{
        print "指定されたタグがつけられた記事はありません。<br>";
    }
    
    $time_s = time();
    $kyo = date("Y-m-d",$time_s);
    $kino = date("Y-m-d",$time_s - 86400);
    
    for($cnt = 0; isset($kekka["path"][$cnt]); $cnt++){
        print "<a href='".$dir_path."blog.php/".$kekka["path"][$cnt]."' class='link_box'>\n";
        if(strlen($kekka["main_image"][$cnt]) != 0){
            print "<img src='".$dir_path."image/".$kekka["main_image"][$cnt]."_150.jpeg' alt=''>\n";
        }
        $hizuke = substr($kekka["created_date"][$cnt],0,10);
        if($hizuke === $kyo or $hizuke === $kino){
            print "<span class='new'>NEW</span> ";
        }
        print $kekka["title"][$cnt]."<br><br>\n";
        if(!$mobile){
            print "<span class='supplement'>".$kekka["created_date"][$cnt]."</span>\n</a>\n";
        }
    }
    
    $p_info_enc = urlencode($p_info);
    
    if($kekka["count"] != 0){
        $page_su = ceil($kekka["count"] / 10);
        print "<div id='page_select'>\n";
        
        if($get_page != 1){
            print "<a href='".$dir_path."archive/tag.php/".$p_info_enc."?page=".($get_page - 1)."' class='page_button'>&lt;&lt; 前</a>";
        }
        
        $page_cnt = $get_page - 4;
        if($page_cnt > $page_su - 9){
            $page_cnt = $page_su - 9;
        }
        if($page_cnt <= 0){
            $page_cnt = 1;
        }
        
        $page_max = $get_page + 5;
        if($page_max < 10){
            $page_max = 10;
        }
        if($page_max > $page_su){
            $page_max = $page_su;
        }
        
        for(; $page_cnt <= $page_max; $page_cnt++){
            if($page_cnt == $get_page){
                print "<span>".$page_cnt."</span>";
            }else{
                print "<a href='".$dir_path."archive/tag.php/".$p_info_enc."?page=".$page_cnt."'>".$page_cnt."</a>";
            }
        }
        
        if(intval($kekka["count"]) > ($get_page * 10)){
            print "<a href='".$dir_path."archive/tag.php/".$p_info_enc."?page=".($get_page + 1)."' class='page_button'>次 &gt;&gt;</a>";
        }
        
        print "\n</div>\n";
    }
}else{
    print "<a href='./'>目次</a> &gt;";
    print "<h1><img src='".$dir_path."style/tag.png' alt='' style='width: 50px;'> 最近使用されたタグ</h1>";
    print "<div class='tag_cloud'>\n";
    readfile("../entries/tags.html");
    print "</div>\n";
}
?>
                </div>
<?php
if(!$mobile){
    print "<div id='side'>\n";
    
    include "side.php";
    
    print "</div>\n";
}

footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->