<?php
mb_language("uni");
mb_internal_encoding("utf-8");
mb_http_input("auto");
mb_http_output("utf-8");

if(strpos($_SERVER["HTTP_USER_AGENT"],"Android") !== FALSE || strpos($_SERVER["HTTP_USER_AGENT"],"iPhone") !== FALSE){
    $mobile = TRUE;
}else{
    $mobile = FALSE;
}

$main_dir = dirname(__FILE__);
$hongi_root = dirname($main_dir);

$sys_conf = parse_ini_file($hongi_root."/config/sys_conf.ini");
$dir_path = str_replace("\\","/",substr($hongi_root,strlen($_SERVER["DOCUMENT_ROOT"])))."/";

$setting = parse_ini_file($hongi_root."/config/setting.ini");

function head_include(){
    global $mobile;
    global $main_dir;
    global $sys_conf;
    global $dir_path;
    global $setting;
    
    if(!$mobile){
        include $main_dir."/head.php";
    }else{
        include $main_dir."/m_head.php";
    }
}

function header_include(){
    global $mobile;
    global $main_dir;
    global $sys_conf;
    global $dir_path;
    global $setting;
    
    if(!$mobile){
        include $main_dir."/header.php";
    }else{
        include $main_dir."/m_header.php";
    }
}

function footer_include(){
    global $mobile;
    global $main_dir;
    global $sys_conf;
    global $dir_path;
    global $setting;
    
    if(!$mobile){
        include $main_dir."/footer.php";
    }else{
        include $main_dir."/m_footer.php";
    }
}
