<?php
include "common/main.php";
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

print "<title>".$setting["title"]." - ".$setting["subtitle"]." - </title>\n";
?>
<link rel="alternate" href="feed/index.atom" type="application/atom+xml" title="Atom">
<link rel="stylesheet" href="style/portal.css" type="text/css">
<?php
if(!$mobile){ print "<script type='text/javascript' src='common/portal.js'></script>"; }

print $setting["head_code"]."\n";
$top = parse_ini_file("config/top.ini");
?>
    </head>
    <body>
<div id="wrapper">
<?php
if(!$mobile){
    print "<h1>\n";
    print "<img src='".$top["header_path"]."' alt='".$setting["title"]."' title='".$setting["title"]."' id='top_image'>\n";
    if($top["title_visibility"]){
        print "<span id='logo'>".$setting["title"]."</span>\n";
        print "<span id='subtitle'>".$setting["subtitle"]."</span>\n";
    }
    print "</h1>\n";
}
?>
            <header>
<?php
if(!$mobile){
    print "<div id='header_menu'>\n<div id='header_menu_content'>\n";
    
    print "<a href='".$dir_path."'>トップページ</a><a href='".$dir_path."archive/'>目次</a><a href='".$setting["info_page"]."'>インフォメーション</a>";
    print "<div id='search'><form action='".$dir_path."search/' method='get' name='search_form' autocomplete='off'><dl><dt><input name='q' type='search' onkeyup='search_suggest();'></dt><dd id='search_suggestion'></dd></dl><button type='submit'>検索</button></form></div>\n";
    
    print "</div>\n";
    print "<div id='header_menu_right'>\n<a href='javascript: void(0);' onclick='go_top();'>▲</a>\n</div>\n";
    
    print "</div>\n";
}else{
    print "<a href='".$dir_path."' id='header_logo'>".$setting["title"]."</a><a id='header_search_link' href='javascript: void(0);' onclick='show_search_form();'>×</a>";
    print "<div id='search'><form action='".$dir_path."search/' method='get' name='search_form' autocomplete='off'><dl><dt><input name='q' type='search' onkeyup='search_suggest();'></dt><dd id='search_suggestion'></dd></dl><button type='submit'>検索</button></form></div>";
}
?>
            </header>
<?php
if(!$mobile){
    print "<div id='base'>\n";
}else{
    print "<div id='sub_header'><label>カテゴリ<input type='checkbox'>";
    readfile("config/categories_m.html");
    print "</label><a href='archive/'>目次</a><a href='".$setting["info_page"]."'>インフォメーション</a></div>\n";
}
?>
                <div id="content">
<button onclick="location.href = 'owner/'" class="admin_button">管理者ログイン</button>
<div class="mobile_hide">
<?php
print $top["top_html"];
?>
</div>
<?php
$time_s = time();
$kyo = date("Y/n/j",$time_s);
$kino = date("Y/n/j",$time_s - 86400);

$notice = parse_ini_file("entries/notice.ini");

if(strlen($notice["text"]) != 0){
    print "<h2>お知らせ</h2>\n";
    
    $notice_hizuke = explode(" ",$notice["modified_date"]);
    if($notice_hizuke[0] === $kyo || $notice_hizuke[0] === $kino){
        print "<span class='new'>NEW</span>　";
    }
    
    if($notice["important"]){
        print "<span style='color: #ff0000; font-weight: bold;'>重要！</span>\n";
        print "<div class='comment' style='border-color: #ff0000; background-color: #ffeeee;'>\n";
    }else{
        print "<div class='comment'>\n";
    }
    print $notice["text"]."<br>\n";
    print "<span class='supplement'>".$notice["modified_date"]."</span>\n";
    print "</div>\n";
}
?>
<h2>最新の記事</h2>
<?php
$rireki = parse_ini_file("entries/recent_articles.ini");

if(!empty($rireki)){
    for($r_cnt = 1; isset($rireki["title"][$r_cnt]); $r_cnt++){
        if($r_cnt == 7){
            print "<div class='mobile_hide'>\n";
        }
        print "<a href='blog.php/".$rireki["path"][$r_cnt]."' ";
        
        if($r_cnt <= 12){
            print "class='link_box'>\n";
            
            if(strlen($rireki["main_image"][$r_cnt]) != 0){
                print "<img src='image/".$rireki["main_image"][$r_cnt]."_150.jpeg' alt=''>";
            }
            
            print "<b>".$rireki["title"][$r_cnt]."</b><br>\n";
            
            $rireki_hizuke = explode(" ",$rireki["created_date"][$r_cnt]);
            if($rireki_hizuke[0] === $kyo || $rireki_hizuke[0] === $kino){
                print "<span class='new'>NEW</span> ";
            }
            
            if(!$mobile){
                print "<span class='supplement'>投稿日時： ".$rireki["created_date"][$r_cnt]."</span>\n";
            }
        }else{
            print "class='small_link'>\n";
            print $rireki["title"][$r_cnt]."\n";
            
            print "<span class='supplement'>".$rireki["created_date"][$r_cnt]."</span>\n";
        }
        
        print "</a>\n";
    }
    if($r_cnt > 7){
        print "</div>\n";
    }
}else{
    print "表示する記事がありません<br>\n";
}
?>
<br>
<a href="archive/" style="font-size: x-large;">全ての記事&gt;&gt;</a>

<h2>新着コメント</h2>
<?php
$comment = parse_ini_file("entries/comment_top.ini");

if(!empty($comment)){
    for($c_cnt = 1; isset($comment["text"][$c_cnt]); $c_cnt++){
        print "<a href='blog.php/".$comment["page"][$c_cnt]."#comment_".$comment["number"][$c_cnt]."' class='small_link'>";
        $comment_hizuke = explode(" ",$comment["date"][$c_cnt]);
        if($comment_hizuke[0] === $kyo || $comment_hizuke[0] === $kino){
            print "<span class='new'>NEW</span> ";
        }
        print $comment["text"][$c_cnt];
        if(!$mobile){
            print " <span class='supplement'>".$comment["date"][$c_cnt]."</span></a>\n";
        }
    }
}else{
    print "表示するコメントがありません<br>\n";
}
?>
<br>
<a href="archive/comment.php" style="font-size: x-large;">最近のコメントの一覧&gt;&gt;</a>

<?php
$images = file_get_contents("image/recent_images.ini",FALSE,NULL,-1,167);

if(!empty($images)){
    if(!$mobile){
        print "<h2>新しい画像</h2>\n";
        
        print "<div id='image_box'>\n";
        
        $img_rireki = explode("\n",str_replace("\r","",$images));
        
        for($i_cnt = 0;isset($img_rireki[$i_cnt]) && $i_cnt < 6 && strlen($img_rireki[$i_cnt]) >= 1; $i_cnt++){
            print "<span class='image_large'>\n";
            print "<img src='image/".$img_rireki[$i_cnt]."_300.jpeg' alt=''>\n";
            print "</span>\n\n";
        }
        
        print "</div>\n<div id='scroll_box'>";
        
        for($s_cnt = 0; $s_cnt < $i_cnt; $s_cnt++){
            print "<a href='javascript: void(0);' onclick='image_select(".$s_cnt.");' class='image_thum'><img src='image/".$img_rireki[$s_cnt]."_150.jpeg' alt=''></a>";
        }
        
        print "</div>\n";
        
        print "<ul id='select_box'><li onclick='image_select(num - 1);' class='sel_li_2'>&lt;</li><li onclick='image_select(0);' class='sel_li'></li><li onclick='image_select(1);' class='sel_li'></li><li onclick='image_select(2);' class='sel_li'></li><li onclick='image_select(3);' class='sel_li'></li><li onclick='image_select(4);' class='sel_li'></li><li onclick='image_select(5);' class='sel_li'></li><li onclick='image_select(num + 1);' class='sel_li_2'>&gt;</li></ul>\n";
    }else{
        print "<h2>画像</h2>\n";
    }
    
    print "<a href='archive/image.php' style='font-size: x-large;'>全ての画像&gt;&gt;</a>\n";
}

if($mobile){
    print "<h2>フィード</h2>\n";
    print "<a href='feed/index.atom'>Atom</a>\n";
}

print $top["bottom_html"];
?>

                </div>
<?php
if(!$mobile){
    print "<div id='side'>";
    
    $authors = file_get_contents("config/top_authors.html");
    if(strlen($authors) >= 1){
        print "<h3>著者</h3>\n";
        print $authors;
    }
    
    print "<h3>カテゴリー</h3>\n";
    readfile("config/categories.html");
    
    print "<h3>今月の記事</h3>\n";
    $cale_path = "entries/".date("Y/n")."/calendar/main.html";
    
    if(file_exists($cale_path)){
        readfile($cale_path);
    }else{
        print "今月の記事はありません。<br>\n";
    }
    
    print "<h3>フィード</h3>\n";
    print "<a href='feed/index.atom'>Atom</a>\n";
    
    print $top["side_html"];
    
    print "</div>";
}

footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->
