<?php
class open_hongi_authors{
    private $wakarana;
    
    function __construct(){
        include_once dirname(dirname(__FILE__))."/lib/wakarana/main.php";
        
        $this->wakarana = new wakarana();
    }
    
    
    function update_top_html(){
        global $dir_path;
        
        $style_data = parse_ini_file("../style/style_data.ini");
        
        $top_authors = parse_ini_file("../config/top_authors.ini");
        $top_authors_html = "";
        
        $style_data = parse_ini_file("../style/style_data.ini");
        
        for($cnt = 0; isset($top_authors["user_id"][$cnt]); $cnt++){
            $author_data = parse_ini_file("../config/authors/".$top_authors["user_id"][$cnt].".ini");
            
            $top_authors_html = $top_authors_html."<a href='".$author_data["page"]."' rel='author' class='author'>";
            if(!empty($author_data["image_id"])){
                $top_authors_html = $top_authors_html."<img src='".$dir_path."image/".$author_data["image_id"]."_150.jpeg' alt='".$author_data["display_name"]."'><br>";
            }else{
                $top_authors_html = $top_authors_html."<img src='".$dir_path."style/".$style_data["default_author_image"]."' alt='".$author_data["display_name"]."'><br>";
            }
            $top_authors_html = $top_authors_html.$author_data["display_name"]."</a>\n".$author_data["introduction"]."<br>\n";
        }
        
        file_put_contents("../config/top_authors.html",$top_authors_html);
    }
    
    
    function add_author($user_id,$password,$user_name,$is_master){
        if($this->wakarana->get_user_info($user_id) === NULL){
            $user_id_2 = $this->wakarana->add_user($user_id,$password,$user_name,NULL,$is_master);
            
            $space_pos = mb_strpos($user_name," ");
            if($space_pos !== FALSE){
                $given_name = substr($user_name,$space_pos + 1);
                $family_name = substr($user_name,0,$space_pos);
            }else{
                $given_name = $user_name;
                $family_name = "";
            }
            
            $author_naiyo = "given_name=\"".htmlspecialchars($given_name)."\"\n"
                    ."family_name=\"".htmlspecialchars($family_name)."\"\n"
                    ."nickname=\"".htmlspecialchars($user_name)."\"\n"
                    ."display_name=\"".htmlspecialchars($user_name)."\"\n"
                    ."image_id=\"\"\n"
                    ."page=\"\"\n"
                    ."email=\"\"\n"
                    ."introduction=\"\"\n";
            
            file_put_contents(dirname(dirname(__FILE__))."/config/authors/".$user_id_2.".ini",$author_naiyo);
            
            $author_html = "";
            
            file_put_contents(dirname(dirname(__FILE__))."/config/authors/".$user_id_2.".html",$author_html);
            
            return TRUE;
        }else{
            return FALSE;
        }
    }
    
    
    function change_status($user_id){
        $info = $this->wakarana->get_user_info($user_id);
        
        if($info["status"] == WAKARANA_STATUS_NORMAL){
            $status = WAKARANA_STATUS_DISABLE;
        }else{
            $status = WAKARANA_STATUS_NORMAL;
        }
        
        $this->wakarana->change_user_data($user_id,NULL,NULL,NULL,NULL,$status);
        
        return $status;
    }
    
    
    function delete_author($user_id){
        $this->wakarana->delete_user($user_id);
        
        unlink(dirname(dirname(__FILE__))."/config/authors/".$_POST["user_id"].".ini");
        unlink(dirname(dirname(__FILE__))."/config/authors/".$_POST["user_id"].".html");
        
        $top_authors = parse_ini_file("../config/top_authors.ini");
        if(!empty($top_authors)){
            $key = array_search($user_id,$top_authors["user_id"]);
            if($key !== FALSE){
                unset($top_authors["user_id"][$key]);
                $top_authors["user_id"] = array_values($top_authors["user_id"]);
                
                $top_authors_ini = "";
                for($cnt = 0; isset($top_authors["user_id"][$cnt]); $cnt++){
                    $top_authors_ini = $top_authors_ini."user_id[".$cnt."]=\"".$top_authors["user_id"][$cnt]."\"\n";
                }
                
                file_put_contents(dirname(dirname(__FILE__))."/config/top_authors.ini",$top_authors_ini);
                
                $this->update_top_html();
            }
        }
    }
}