<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check();
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>記事の編集 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<?php
if(isset($_POST["page"])){
    print "<h1>既存の記事の修正</h1>";
    print "<span style='font-size: x-large;'>修正対象ページ： <span style='font-size: xx-large; font-weight: bold;'>".$_POST["page"]."</span></span><br><br>";
    $kihon_path = "../entries/".$_POST["page"];
    
    $config_path = $kihon_path."_config.ini";
    $content_path = $kihon_path."_content.html";
    
    $config = parse_ini_file($config_path);
    $content = file_get_contents($content_path);
    
    if(!$user_info["is_master"] && $config["user_id"] !== $user_id){
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>あなたには他のアカウントが作成したページを編集する権限が付与されていません</div>";
        goto page_end;
    }
}else{
    print "<h1>新しい記事の作成</h1>";
}


if(isset($_POST["category"],$_POST["title"],$_POST["main_image"],$_POST["tag"],$_POST["content"],$_POST["enable_comment"])){
    include "../modules/db.php";
    $db = new open_hongi_db();
    
    $time_s = time();
    
    $yobi_list = array("日","月","火","水","木","金","土");
    $date_time = date("Y/n/j",intval($time_s))." (".$yobi_list[intval(date("w",intval($time_s)))].") ".date("A g:i",intval($time_s));
    $date_time_sql = date("Y-m-d H:i:s",$time_s);
    
    $categories = "";
    
    if(isset($_POST["hide"])){
        $public_str = "false";
        $public_int = 0;
    }else{
        $public_str = "true";
        $public_int = 1;
    }
    
    if(isset($_POST["static_page"])){
        $static_page = "true";
        $static_page_int= 1;
        
        $tag_henkan_after = "";
    }else{
        $static_page = "false";
        $static_page_int= 0;
        
        $category_cnt = 1;
        for($cnt_1 = 0; isset($_POST["category"][$cnt_1]); $cnt_1++){
            $category_length = mb_strlen($_POST["category"][$cnt_1]);
            
            $category_ini_str = "category[".$category_cnt."]=\"".addslashes($_POST["category"][$cnt_1])."\"\n";
            
            for($cnt_2 = 0; isset($_POST["category"][$cnt_2]); $cnt_2++){
                if($cnt_2 != $cnt_1 && mb_substr($_POST["category"][$cnt_2],0,$category_length) === $_POST["category"][$cnt_1]){
                    $category_ini_str = "";
                    $category_cnt--;
                }
            }
            
            $categories = $categories.$category_ini_str;
            
            $category_cnt++;
        }
        $tag_henkan_before = str_replace("　"," ",$_POST["tag"]);
        
        /*不必要な半角スペースの削除*/
        while(1){
            $tag_henkan_after = str_replace("  "," ",$tag_henkan_before);/*2連続のスペースを1連続に変換*/
            if($tag_henkan_after === $tag_henkan_before){
                break;
            }
            $tag_henkan_before = $tag_henkan_after;
        }
        
        /*先頭のスペースを削除*/
        $kekka_pos = strpos($tag_henkan_after," ",0);
        if($kekka_pos === 0){
            $tag_henkan_after = substr($tag_henkan_after,1);
        }
        
        /*末尾のスペースを削除*/
        $tag_nagasa = strlen($tag_henkan_after);
        if($tag_nagasa != 0){
            $kekka_pos = strpos($tag_henkan_after," ",$tag_nagasa - 1);
            if($kekka_pos !== FALSE){
                $tag_henkan_after = substr($tag_henkan_after,0,$tag_nagasa - 1);
            }
        }
    }
    
    if(isset($_POST["page"])){
        $created_date = $config["created_date"];
        $before_page = $config["before_page"];
        $after_page = $config["after_page"];
    }else{
        $rireki_data = parse_ini_file("../entries/recent_articles.ini");
        
        $created_date = $date_time;
        if(isset($rireki_data["path"][1]) && !isset($_POST["static_page"])){
            $before_page = $rireki_data["path"][1];
        }else{
            $before_page = "";
        }
        $after_page = "";
    }
    
    
    $config_naiyo = "public=".$public_str."\n"
            ."static_page=".$static_page."\n"
            ."user_id=\"".$user_id."\"\n"
            ."title=\"".addslashes($_POST["title"])."\"\n"
            ."modified_date=\"".$date_time."\""."\n"
            ."created_date=\"".$created_date."\"\n"
            .$categories
            ."tag=\"".addslashes($tag_henkan_after)."\"\n"
            ."before_page=\"".$before_page."\"\n"
            ."after_page=\"".$config["after_page"]."\"\n"
            ."main_image=\"".addslashes($_POST["main_image"])."\"\n"
            ."enable_comment=".$_POST["enable_comment"];
    
    
    
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        if(isset($_POST["page"])){
            if(!$user_info["is_master"] && $config["user_id"] !== $user_id){
                print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>あなたには他のアカウントが作成したページを編集する権限が付与されていません</div>";
                goto page_end;
            }
            
            file_put_contents($config_path,$config_naiyo);
            file_put_contents($content_path,$_POST["content"]);
            
            $page_path = $_POST["page"];
            
            $db->update_page($page_path,$_POST["title"],$user_id,$created_date,$date_time_sql,$_POST["main_image"],$public_int,$static_page_int,$_POST["category"],$tag_henkan_after);
            
            $rireki = $db->get_recent_articles();
            
            file_put_contents("../entries/recent_articles.ini",$rireki["recent_articles"]);
            file_put_contents("../entries/recent_articles_side.html",$rireki["recent_articles_side"]);
            file_put_contents("../feed/index.atom",$rireki["atom"]);
            file_put_contents("../entries/tags.html",$rireki["tag"]);
            
            if(!isset($_POST["static_page"])){
                $category_list = array();
                
                for($cnt_1 = 0; isset($_POST["category"][$cnt_1]) ;$cnt_1++){
                    $category_bunkatsu = explode("/",$_POST["category"][$cnt_1]);
                    
                    $category_list[] = $category_bunkatsu[0];
                }
                
                $category_list= array_values(array_unique($category_list));
                
                for($cnt_2 = 0; isset($category_list[$cnt_2]); $cnt_2++){
                    $rireki = $db->get_recent_articles($category_list[$cnt_2]);
                    
                    file_put_contents("../entries/recent_articles_categories/".mb_convert_encoding($category_list[$cnt_2],$sys_conf["file_name_code"],"auto").".ini",$rireki["recent_articles"]);
                    file_put_contents("../feed/category/".mb_convert_encoding($category_list[$cnt_2],$sys_conf["file_name_code"],"auto").".atom",$rireki["atom"]);
                    file_put_contents("../entries/tags_categories/".mb_convert_encoding($category_list[$cnt_2],$sys_conf["file_name_code"],"auto").".html",$rireki["tag"]);
                }
            }
        }else{
            $path_y = date("Y")."/";
            if(file_exists("../entries/".$path_y) == FALSE){
                mkdir("../entries/".$path_y);
            }
            
            $path_ym = $path_y.date("n")."/";
            $entry_dir_path = "../entries/".$path_ym;
            if(file_exists($entry_dir_path) == FALSE){
                mkdir($entry_dir_path);
                mkdir($entry_dir_path."calendar/");
            }
            
            for($file_cnt = 1; file_exists($entry_dir_path.$file_cnt."_config.ini"); $file_cnt++){
            }
            
            $page_path = $path_ym.$file_cnt;
            $rel_path = "../entries/".$page_path;
            
            
            file_put_contents($rel_path."_config.ini",$config_naiyo);
            file_put_contents($rel_path."_content.html",$_POST["content"]);
            touch($rel_path."_comment.ini");
            
            
            $cale_file_path = "../entries/".$path_ym."calendar/".date("j").".ini";
            
            $cale_naiyo = 'path[1]="'.$page_path.'"'."\n";
            
            if(file_exists($cale_file_path)){
                $cale = parse_ini_file($cale_file_path);
                
                for($cale_c = 1; isset($cale["path"][$cale_c]); $cale_c++){
                    $cale_naiyo = $cale_naiyo.'path['.($cale_c + 1).']="'.$cale["path"][$cale_c].'"'."\n";
                }
                
                file_put_contents($cale_file_path,$cale_naiyo);
            }else{
                file_put_contents($cale_file_path,$cale_naiyo);
                
                $cale_table = "<table class='calendar'>\n";
                
                for($hinichi = intval(date("j")); $hinichi > 7; $hinichi = $hinichi - 7){}
                
                $hazime_yobi = intval(date("w")) - $hinichi + 1;
                if($hazime_yobi < 0){
                    $hazime_yobi = $hazime_yobi + 7;
                }
                //$hazime_yobi　は、今月の1日の曜日の数値
                
                $saigo = intval(date("t"));
                for($owari = $saigo + $hazime_yobi; $owari % 7 != 0; $owari++){}
                
                $yobi = 0;
                for($hizuke_c = 1; $hizuke_c <= $owari; $hizuke_c++){
                    if($yobi == 0){
                        $cale_table = $cale_table."<tr>";
                    }
                    
                    
                    $hizuke = $hizuke_c - $hazime_yobi;
                    
                    $cale_table = $cale_table."<td>";
                    if($hizuke >= 1 and $hizuke <= $saigo){
                        if(file_exists("../entries/".$path_ym."calendar/".$hizuke.".ini")){
                            $cale_table = $cale_table."<a href='".$dir_path."archive/index.php/".$path_ym.$hizuke."'>".$hizuke."</a>";
                        }else{
                            $cale_table = $cale_table.$hizuke;
                        }
                    }
                    $cale_table = $cale_table."</td>";
                    
                    
                    if($yobi == 6){
                        $cale_table = $cale_table."</tr>\n";
                    }
                    
                    $yobi++;
                    if($yobi == 7){
                        $yobi = 0;
                    }
                }
                
                $cale_table = $cale_table."</table>\n";
                
                file_put_contents("../entries/".$path_ym."calendar/"."main.html",$cale_table);
            }
            
            if(!isset($_POST["static_page"])){
                $static_page_int= 0;
                if(strlen($before_page) >= 1){
                    $before_config = file_get_contents("../entries/".$before_page."_config.ini");
                    $mae = strpos($before_config,"after_page=");
                    $ushiro = strpos($before_config,"\n",$mae);
                    $mae_naiyo = substr($before_config,0,$mae);
                    $ushiro_naiyo = substr($before_config,$ushiro);
                    
                    file_put_contents("../entries/".$before_page."_config.ini",$mae_naiyo.'after_page="'.$path_ym.$file_cnt.'"'.$ushiro_naiyo);
                }
            }else{
                $static_page_int= 1;
            }
            
            $db->add_page($page_path,$_POST["title"],$user_id,$date_time_sql,$date_time_sql,$_POST["main_image"],$public_int,$static_page_int,$_POST["category"],$tag_henkan_after);
            
            $rireki = $db->get_recent_articles();
            
            file_put_contents("../entries/recent_articles.ini",$rireki["recent_articles"]);
            file_put_contents("../entries/recent_articles_side.html",$rireki["recent_articles_side"]);
            file_put_contents("../feed/index.atom",$rireki["atom"]);
            file_put_contents("../entries/tags.html",$rireki["tag"]);
            
            if(!isset($_POST["static_page"])){
                $category_list = array();
                
                for($cnt_1 = 0; isset($_POST["category"][$cnt_1]) ;$cnt_1++){
                    $category_bunkatsu = explode("/",$_POST["category"][$cnt_1]);
                    
                    $category_list[] = $category_bunkatsu[0];
                }
                
                $category_list= array_values(array_unique($category_list));
                
                for($cnt_2 = 0; isset($category_list[$cnt_2]); $cnt_2++){
                    $rireki = $db->get_recent_articles($category_list[$cnt_2]);
                    
                    file_put_contents("../entries/recent_articles_categories/".mb_convert_encoding($category_list[$cnt_2],$sys_conf["file_name_code"],"auto").".ini",$rireki["recent_articles"]);
                    file_put_contents("../feed/category/".mb_convert_encoding($category_list[$cnt_2],$sys_conf["file_name_code"],"auto").".atom",$rireki["atom"]);
                    file_put_contents("../entries/tags_categories/".mb_convert_encoding($category_list[$cnt_2],$sys_conf["file_name_code"],"auto").".html",$rireki["tag"]);
                }
            }
        }
        
        print "<span style='font-size: x-large;'>編集を保存しました。</span><br>";
        if(isset($_POST["hide"])){
            print "このページは非表示に設定されました。";
        }else{
            print "まもなく、自動的にページを移動します。<br>";
            print "<script> setTimeout(function(){ location.href = '".$dir_path."blog.php/".$page_path."'; },2000);</script>";
            
            print "<br><br><a href='".$dir_path."blog.php/".$page_path."'>移動しない場合はここをクリック</a><br><br>";
        }
        goto page_end;
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div><br>";
        
        $config = parse_ini_string($config_naiyo);
        $content = $_POST["content"];
    }
}
?>

<form action="article.php" method="post" name="write_form" onsubmit="return up_kakunin();">

<?php
if(isset($_POST["page"]) && !$config["public"]){
    print "<label><input type='checkbox' name='hide' value='yes' checked='checked'>ページを非表示にする</label><br><br>";
}else{
    print "<label><input type='checkbox' name='hide' value='yes'>ページを非表示にする</label><br><br>";
}

$is_static_page = FALSE;

if(isset($_POST["page"])){
    print "<input type='hidden' name='page' value='".htmlspecialchars($_POST["page"])."'>";
    if($config["static_page"]){
        $is_static_page = TRUE;
        
        print "このページは固定ページです。カテゴリーとタグは指定できません。";
        print "<input type='hidden' name='static_page' value='yes'>";
    }
}else{
    print "<label><input type='checkbox' name='static_page' value='yes'>固定ページ</label><br>";
    print "固定ページに設定すると、トップページの履歴に表示されず、カテゴリー・タグは無効化されます。<br>";
    print "この機能は、著者紹介・インフォメーションページへの使用に適しています。";
}

if($is_static_page){
    print "<input type='hidden' name='category' value=''>";
}else{
    print "<h3>記事のカテゴリー：</h3>";
    print "<select size='8' id='category_select' name='category[]' style='width: 300px;' onclick='tag_koho();' multiple>";
    
    $categories = parse_ini_file("../config/categories.ini");
    
    $list = array_keys($categories["dir"],"/");
    
    $kaiso = array();
    
    $kosu = count($list);
    for($cnt_2 = 0; $cnt_2 < $kosu; $cnt_2++){
        $kaiso[] = 0;
    }
    
    for($cnt = 0; isset($list[$cnt]); $cnt++){
        $list_2 = array_keys($categories["dir"],$categories["dir"][$list[$cnt]].$categories["category"][$list[$cnt]]."/");
        array_splice($list,$cnt + 1,0,$list_2);
        
        $kaiso_2 = array();
        
        $kosu = count($list_2);
        for($cnt_2 = 0; $cnt_2 < $kosu; $cnt_2++){
            $kaiso_2[] = $kaiso[$cnt] + 1;
        }
        array_splice($kaiso,$cnt + 1,0,$kaiso_2);
        
        if(isset($config)){
            $category_num = $config["category"];
        }else{
            $category_num = array();
            $category_num[] = $categories["category"][0];
        }
        
        if(array_search(substr($categories["dir"][$list[$cnt]],1).$categories["category"][$list[$cnt]],$category_num) !== FALSE){
            print "<option value='".substr($categories["dir"][$list[$cnt]],1).$categories["category"][$list[$cnt]]."' selected>".str_repeat("&nbsp;-",$kaiso[$cnt]).$categories["category"][$list[$cnt]]."</option>";
        }else{
            print "<option value='".substr($categories["dir"][$list[$cnt]],1).$categories["category"][$list[$cnt]]."'>".str_repeat("&nbsp;-",$kaiso[$cnt]).$categories["category"][$list[$cnt]]."</option>";
        }
    }
    
    print "</select>";
    
    if(!$mobile){
        print "<br><br>複数選択する場合は、Ctrlキーを押しながらそれぞれの項目を選択してください。<br>子カテゴリーを選択する場合、親カテゴリーを選択する必要はありません。";
    }
}
?>

<h3>タイトル：</h3>
<?php
if(isset($config)){
    $title = htmlspecialchars($config["title"]);
}else{
    $title = "";
}
print "<input type='text' name='title' style='font-size: x-large; width: 512px;' value='".$title."'><br>";
?>

<h3>見出し画像：</h3>
<?php
if(isset($config)){
    $main_image = htmlspecialchars($config["main_image"]);
}else{
    $main_image = "";
}
print "<input type='text' name='main_image' id='main_image' style='font-size: large;' value='".$main_image."'>";
?>
　<button type="button" onclick="image_sansho(true,'main_image');">参照</button><br>
省略(空欄)可能です。<br>
<div id="image_kakunin"></div>
<script type="text/javascript">
    function image_kakunin(){
        var main_image_val = document.getElementById("main_image").value;
        var image_kakunin_box = document.getElementById("image_kakunin");
        if(main_image_val.length > 0){
            image_kakunin_box.innerHTML = "<img src='" + dir_path + "image/" + main_image_val + "_150.jpeg' alt=''>";
        }else{
            image_kakunin_box.innerHTML = "";
        }
    }
    
    window.addEventListener("load",image_kakunin);
</script>

<?php
if($is_static_page){
    print "<input type='hidden' name='tag' value=''>";
}else{
    print "<h3>タグ： (複数設定する場合はスペースで区切ってください。)</h3>";
    
    if(isset($config)){
        $tag = htmlspecialchars($config["tag"]);
    }else{
        $tag = "";
    }
    print "<input type='text' name='tag' style='font-size: large; width: 600px;' value='".$tag."'><br>";
    print "<br><div id='tag_suggest' class='tag_cloud'></div><br>";
}
?>

<h3>本文</h3>
<?php
print "<script type='text/javascript' src='".$dir_path."lib/hongi_editor_2/main.js'></script>";

if(isset($config)){
    print "<textarea name='content' style='width: 95%; height: 600px;'>".htmlspecialchars($content)."</textarea>";
}else{
    print "<textarea name='content' style='width: 95%; height: 600px;'></textarea>";
}
?>
<script type="text/javascript">
    hongi_editor_include("content");
    hongi_editor_set_browse_image_function("image_sansho_hongi_editor");
</script>

<h3>コメントの受け付け</h3>
<select name='enable_comment'>
<?php
if(isset($config)){
    $enable_comment = intval($config["enable_comment"]);
}else{
    $enable_comment = 2;
}

switch($enable_comment){
    case 2:
        print "<option value='2' selected>コメントを受け付ける</option>";
        print "<option value='1'>コメント受け付けの停止</option>";
        print "<option value='0'>全コメントを非表示</option>";
        break;
    case 1:
        print "<option value='2'>コメントを受け付ける</option>";
        print "<option value='1' selected>コメント受け付けの停止</option>";
        print "<option value='0'>全コメントを非表示</option>";
        break;
    case 0:
        print "<option value='2'>コメントを受け付ける</option>";
        print "<option value='1'>コメント受け付けの停止</option>";
        print "<option value='0' selected>全コメントを非表示</option>";
        break;
}
?>
</select><br><br>
<?php
print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>";
?>
<span id="button_wrapper"><button type="submit" style="padding: 8px 64px; font-size: large;">記事の投稿</button></span>
    <br>
    <br>
    <a href="main.php">&lt;&lt; 管理者トップページ</a>
</form>
<?php
page_end:
?>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->