    <?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check();
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

print "<title>記事へのコメントの修正 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>記事へのコメントの修正</h1>
<?php
include "../modules/comments.php";

$comments = new open_hongi_comments();

if(isset($_GET["page"])){
    $page = $_GET["page"];
}elseif(isset($_POST["page"])){
    $page = $_POST["page"];
}else{
    print "<span style='font-size: x-large;'>エラー ページが指定されていません</span>";
    goto page_end;
}


print "<span style='font-size: x-large;'>修正するページ： <span style='font-size: xx-large; font-weight: bold;'>".$page."</span></span><br><br>";

$comment = $comments->get_comments($page);

if(isset($_POST["comment_number"],$_POST["author"],$_POST["cap"],$_POST["image"],$_POST["text"],$_POST["date"])){
    $comment_number = intval($_POST["comment_number"]);
    
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        if(isset($_POST["approved"])){
            $approved = TRUE;
        }else{
            $approved = FALSE;
        }
        
        $comments->update_comment($_POST["page"],$_POST["comment_number"],$_POST["author"],$_POST["cap"],$_POST["image"],$_POST["text"],$approved);
        
        print "<span style='font-size: x-large;'>コメントを保存しました。</span><br>";
        
        print "まもなく、自動的にページを移動します。<br>";
        print "<script> setTimeout(function(){ location.href = '".$dir_path."blog.php/".$_POST["page"]."#comment_".$comment_number."'; },2000);</script>";
        
        print "<br><br><a href='".$dir_path."blog.php/".$_POST["page"]."#comment_".$comment_number."'>移動しない場合はここをクリック</a><br><br>";
        
        goto page_end;
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>変更は破棄されました。</div>";
    }
}elseif(isset($_POST["delete_number"])){
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        $comments->delete_comment($_POST["page"],$_POST["delete_number"]);
        
        $comment = $comments->get_comments($_POST["page"]);
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>変更は破棄されました。</div>";
    }
}

$token = $wakarana->create_one_time_token($user_id);
?>

<form action="comment.php" method="post" name="delete_form">
    <input type="hidden" name="delete_number" id="delete_number" value="">
<?php
    print "<input type='hidden' name='page' value='".htmlspecialchars($page)."'>";
    print "<input type='hidden' name='token' value='".$token."'>";
?>
</form>
<script type="text/javascript">
function delete_kakunin(num){
    if(confirm("コメント" + num + "を削除します。\nよろしいですか？")){
        document.getElementById("delete_number").value = num;
        document.delete_form.submit();
    }
}
</script>

<?php
if(isset($_GET["comment_number"])){
    print "<form action='comment.php' method='post'>";
    print "<input type='hidden' name='page' value='".htmlspecialchars($page)."'>";
    
    $comment_number = intval($_GET["comment_number"]);
    
    print "<h2>コメント ".$comment_number."</h2>";
    print "<input type='hidden' name='comment_number' value='".$comment_number."'>";
    if($comment["approved"][$comment_number]){
        print "<input type='checkbox' name='approved' value='yes' checked='checked'>承認(表示する)<br><br>";
    }else{
        print "<input type='checkbox' name='approved' value='yes'>承認(表示する)<br><br>";
    }
    print "投稿者：<input type='text' name='author' value='".$comment["author"][$comment_number]."' style='width: 200px;'><br>";
    print "キャップ：<input type='text' name='cap' value='".$comment["cap"][$comment_number]."' style='width: 200px;'><br>";
    print "添付画像：<input type='text' name='image' id='image_id' value='".$comment["image"][$comment_number]."' style='width: 400px;'>　<button type='button' onclick='image_sansho(true,\"image_id\");'>参照</button><br>";
?>
<div id="image_kakunin"></div>
<script type="text/javascript">
    function image_kakunin(){
        var main_image_val = document.getElementById("image_id").value;
        var image_kakunin_box = document.getElementById("image_kakunin");
        if(main_image_val.length > 0){
            image_kakunin_box.innerHTML = "<img src='" + dir_path + "image/" + main_image_val + "_150.jpeg' alt=''>";
        }else{
            image_kakunin_box.innerHTML = "";
        }
    }
    
    window.addEventListener("load",image_kakunin);
</script>
<?php
    print "本文：<br><textarea name='text' style='width: 100%; height: 180px;'>".strip_tags(str_replace("<br>","\n",str_replace(array("\n","\r"),"",$comment["text"][$comment_number])))."</textarea><br>";
    print "投稿日時：<input type='hidden' name='date' value='".$comment["date"][$comment_number]."'>".$comment["date"][$comment_number]."<br><br>";
    
    print "<input type='hidden' name='token' value='".$token."'>";
    
    print "<button type='submit' style='padding: 8px 64px; font-size: large;'>上書き保存</button><br><br>";
}else{
    print "<form action='comment.php' method='get'>";
    print "<input type='hidden' name='page' value='".htmlspecialchars($page)."'>";
    
    if(isset($comment["author"])){
        $keys = array_keys($comment["author"]);
    }else{
        $keys = array();
    }
    
    for($cnt = count($keys) - 1; isset($keys[$cnt]); $cnt--){
        if($comment["cap"][$keys[$cnt]] === "admin"){
            print "<div class='comment comment_admin'>\n";
        }else{
            print "<div class='comment'>\n";
        }
        
        print "<button type='button' onclick='delete_kakunin(".$keys[$cnt].")' style='float: right; margin-left: 10px;'>削除</button>";
        print "<button type='submit' name='comment_number' value='".$keys[$cnt]."' style='float: right;'>修正</button><br>";
        
        if($comment["approved"][$keys[$cnt]]){
            print "<h4>".$keys[$cnt].".</h4>\n";
        }else{
            print "<h4>".$keys[$cnt].".(<span style='color: #ff0000;'>未承認</span>)</h4>\n";
        }
        
        if(strlen($comment["image"][$keys[$cnt]]) >= 1){
            print "<img src='".$dir_path."image/".$comment["image"][$keys[$cnt]]."_300.jpeg' alt=''><br>\n";
        }
        
        print $comment["text"][$keys[$cnt]]."<br>\n";
        
        print "<span class='supplement'>投稿者：".$comment["author"][$keys[$cnt]];
        if(strlen($comment["cap"][$keys[$cnt]]) > 0){
            if($comment["cap"][$keys[$cnt]] === "admin"){
                print "<b>(管理者)</b>";
            }else{
                print "<b>(".$comment["cap"][$keys[$cnt]].")</b>";
            }
        }
        print "　投稿日時：".$comment["date"][$keys[$cnt]]."</span>\n";
        print "</div>\n";
    }
    
    if($cnt == 0){
        print "<span style='font-size: x-large;'>このページにはコメントは投稿されていません。</span>";
    }
}

print "<br><br>";
print "<a href='".$dir_path."blog.php/".$page."'>&lt;&lt; ページへ戻る</a>"
?>
<br><br>
    <a href="main.php">&lt;&lt; 管理者トップページ</a>
</form>
<?php
page_end:
?>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->