<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check("master");
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>デザイン設定 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>デザイン設定</h1>
<?php
if(isset($_POST["header_image"])){
    if(strlen($_POST["header_image"]) >= 1){
        $style_naiyo = '#top {background-image: url("'.addslashes($_POST["header_image"]).'");}';
    }else{
        $style_naiyo = "";
    }
    
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        file_put_contents("../config/dynamic.css",$style_naiyo);
?>
<script type="text/javascript">
    var date = new Date() ;
    
    css_link = document.createElement("link");
    css_link.type = "text/css";
    css_link.rel = "stylesheet";
    css_link.href = dir_path + "config/dynamic.css?" + date.getTime();
    document.getElementsByTagName("head")[0].appendChild(css_link);
</script>
<?php
        print "<span style='font-size: x-large;'>変更を保存しました。</span>";
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
    }
}
?>
<h3>ヘッダー画像の変更</h3>
各ページのヘッダー画像を変更できます。<br>
なお、トップページのヘッダー画像の変更は<a href="top.php">トップページの設定</a>から行えます。
<form action="design.php" method="post" enctype="multipart/form-data">
    <h4>画像ファイルのパス：</h4>
    <input type="text" name="header_image" id="header_image" style="width: 300px;"> <button type="button" onclick="image_sansho(false,'header_image');">参照</button><br><br>
    <div id="image_kakunin"></div>
<script type="text/javascript">
    function image_kakunin(){
        var image_id_val = document.getElementById("header_image").value;
        var image_kakunin_box = document.getElementById("image_kakunin");
        if(image_id_val.length > 0){
            image_kakunin_box.innerHTML = "<img src='" + image_id_val + "' alt='' style='width: 600px;'>";
        }else{
            image_kakunin_box.innerHTML = "";
        }
    }
</script>
    <br>
    ※使用する画像の縦横比は 横:縦=8:1 としてください。(一部テンプレートを除く)<br>
    ※表示速度の観点から、ファイルサイズは100KB以下が理想的です。<br>
    ※空欄の場合はデフォルトの画像にセットされます。<br>
    <br>
<?php
print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>";
?>
    <button type="submit" style="width: 190px; height: 30px; padding: 5px;">変更の保存</button>
</form>
            <br>
            <br>
            <a href="main.php">&lt;&lt;コントロールパネルTOP</a><br>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->