<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();

if(isset($_GET["logout"])){
    $wakarana->logout();
}

if($wakarana->check() != FALSE){
    header("Location: main.php");
}

if(isset($_POST["user"],$_POST["password"])){
    if($wakarana->login($_POST["user"],$_POST["password"])){
        if(isset($_POST["go_to"])){
            header("Location: ".$_POST["go_to"]);
        }else{
            header("Location: main.php");
        }
        exit(0);
    }
    
    $login_reject = TRUE;
}else{
    $login_reject = FALSE;
}
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

print "<title>管理者ログイン | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
        <style type="text/css">
            .login_form {
                width: 300px;
                
                margin: 16px auto;
                padding: 30px;
                
                border-radius: 8px;
                
                background-color: #eeeeee;
                
                box-shadow: 8px 8px 8px rgba(0,0,0,0.25);
                
                font-size: x-large;
            }
            
            .login_form input {
                width: 300px;
                
                font-size: x-large;
                
                border: none;
            }
            
            .login_form button {
                display: block;
                
                width: 150px;
                
                margin: 0 auto;
                
                font-size: x-large;
            }
        </style>
    </head>
    <body>
<?php header_include(); ?>
<div id="content" style="width: 100%;">
    <h1>管理者ログイン</h1>
<?php
if($login_reject){
    print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ユーザー名またはパスワードが間違っています!</div>";
}
?>
    <form method="post" action="index.php" class="login_form">
        ユーザー名<br><input type="text" name="user"><br><br>
        パスワード<br><input type="password" name="password"><br><br>
<?php
if(isset($_GET["go_to"])){
    print "<input type='hidden' name='go_to' value='".htmlspecialchars($_GET["go_to"])."'>";
}
?>
        <button type="submit">ログイン</button>
    </form>
</div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->