<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check("master");
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>システムの詳細設定 | ".$setting["title"]."</title>";
?>
    <a href="image_upload.php"></a>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>システムの詳細設定</h1>

以下の設定項目は、システムの動作を決定する重要なものです。<br>
そのため、不必要に設定を変更しないことを推奨します。<br>

<h4>値の自動設定</h4>
<?php
    if(isset($_POST["file_name_code"],$_POST["setup_date"])){
        $sys_conf_naiyo = "file_name_code=\"".$_POST["file_name_code"]."\"\nsetup_date=\"".$_POST["setup_date"]."\"";
        
        if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
            file_put_contents("../config/sys_conf.ini",$sys_conf_naiyo);
            
            print "<br><span style='font-size: x-large;'>変更を保存しました。</span><br><br>";
        }else{
            print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
        }
        
        $sys_conf = parse_ini_string($sys_conf_naiyo);
    }else{
        $sys_conf = parse_ini_file("../config/sys_conf.ini");
    }
?>
<script type="text/javascript">
function auto_config(){
<?php
    print "document.getElementById('setup_date').value = '".date("Y-m-d")."';";
    
    print "document.getElementById('file_name_code').value = ";
    if(strpos(PHP_OS,"WIN") !== FALSE){
        print "'SJIS';";
    }else{
        print "'UTF-8';";
    }
?>
}
</script>

<button type="button" onclick="auto_config();">自動設定</button><br>
現在のサーバーの状態をもとに、以下の各値を自動設定します。<br>
なお、「自動設定」ボタンを押しただけでは設定は保存されませんので、設定を完了して変更を保存するには下の「編集確定」ボタンを押してください。<br>

<form action="sys_conf.php" method="post">

<h3>ファイル名の文字コード</h3>
<select name="file_name_code" id="file_name_code">
<?php
    switch($sys_conf["file_name_code"]){
        case "UTF-8":
            print "<option value='UTF-8' selected>UTF-8</option>";
            print "<option value='SJIS'>Shift_JIS</option>";
            break;
        case "SJIS":
            print "<option value='UTF-8'>UTF-8</option>";
            print "<option value='SJIS' selected>Shift_JIS</option>";
            break;
    }
?>
</select><br>
一般的なサーバー(Linux)では UTF-8 を選択してください。<br>
windowsサーバーの場合のみ、Shift_JISを選択してください。

<h3>システムの運用開始日</h3>
<?php
    print "<input type='text' name='setup_date' id='setup_date' value='".$sys_conf["setup_date"]."'><br>";
?>
現在のドメインでの、このOpen本紀の運用開始日を、YYYY-MM-DD の形式で指定してください。1桁の月・日は0をつけて2桁にする必要があります。<br>この日付は、フィードの識別などに使用されるため、<span style="color: #ff0000;">不正な値を設定したり、後から変更したりしないでください。</span>

<br><br><br>

<?php
print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>";
?>

<button type="submit">編集確定</button>
</form>
            <br>
            <br>
            <a href="main.php">&lt;&lt;コントロールパネルTOP</a><br>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->