<?php
include "../common/main.php";
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

if(isset($_GET["page"]) == TRUE){
    $get_page = intval($_GET["page"]);
    
    if($get_page <= 0 or is_numeric($_GET["page"]) == FALSE){
        $get_page = 1;
    }
}else{
    $get_page = 1;
    $limit_q = 0;
}

if(isset($_SERVER["PATH_INFO"])){
    $p_info = substr($_SERVER["PATH_INFO"],1);
    
    $category_bunkatsu = explode("/",$p_info);
    
    $category_kaiso = count($category_bunkatsu) - 1;
    
    $category_name = $category_bunkatsu[$category_kaiso];
    
    print "<title>".$category_name."カテゴリー (".$get_page.") | ".$setting["title"]."</title>";
}else{
    print "<title>カテゴリー別の目次 | ".$setting["title"]."</title>";
}

print $setting["head_code"]."\n";
?>
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<?php
$categories = parse_ini_file("../config/categories.ini");

$time_s = time();

$kyo = date("Y/n/j",$time_s);
$kino = date("Y/n/j",$time_s - 86400);

if(isset($_SERVER["PATH_INFO"])){
    include "../modules/db.php";
    $db = new open_hongi_db();
    
    print "<a href='".$dir_path."archive/'>目次</a> &gt; <a href='".$dir_path."archive/category.php'>カテゴリー</a> &gt;";
    
    $category_url = "";
    for($c_cnt = 0; $c_cnt < $category_kaiso; $c_cnt++){
        if($c_cnt != 0){
            $category_url = $category_url."/".urlencode($category_bunkatsu[$c_cnt]);
            print " &gt; ";
        }else{
            $category_url = "/".urlencode($category_bunkatsu[0]);
        }
        
        print " <a href='".$dir_path."archive/category.php".$category_url."'> ".$category_bunkatsu[$c_cnt]."</a> &gt;";
    }
    
    print "<h1><img src='".$dir_path."style/category.png' alt='' style='width: 50px;'> ".$category_name."カテゴリー</h1>";
    
    $category_this = $category_url."/".urlencode($category_name);
    
    $list = array_keys($categories["dir"],$_SERVER["PATH_INFO"]."/");
    
    if(!empty($list)){
        print "<h2>".$category_name."の下にあるカテゴリー</h2>";
        
        for($cnt = 0; isset($list[$cnt]); $cnt++){
            print "<a href='".$dir_path."archive/category.php".$category_this."/".urlencode($categories["category"][$list[$cnt]])."' style='font-size: x-large;'><img src='".$dir_path."style/category_icon.png' alt=''> ".$categories["category"][$list[$cnt]]."</a><br>\n";
        }
        
    }
    
    print "<h2>".$category_name."の記事</h2>";
    
    $category = substr($p_info,0,63);
    
    $kekka = $db->search_by_category($category,10,$get_page);
    
    if($kekka["count"] != 0){
        print "<b>".$get_page."</b>ページ目　　<b>".$kekka["count"]."</b>件 中　".(($get_page - 1) * 10 + 1)."件目 から ".($get_page * 10)."件目<br><br>\n";
    }else{
        print "このカテゴリーの記事はありません。<br>";
    }
    
    
    for($cnt = 0; isset($kekka["path"][$cnt]); $cnt++){
        print "<a href='".$dir_path."blog.php/".$kekka["path"][$cnt]."' class='link_box'>\n";
        if(strlen($kekka["main_image"][$cnt]) != 0){
            print "<img src='".$dir_path."image/".$kekka["main_image"][$cnt]."_150.jpeg' alt=''>\n";
        }
        $hizuke = substr($kekka["created_date"][$cnt],0,10);
        if($hizuke === $kyo or $hizuke === $kino){
            print "<span class='new'>NEW</span> ";
        }
        print $kekka["title"][$cnt]."<br><br>\n";
        if(!$mobile){
            print "<span class='supplement'>".$kekka["created_date"][$cnt]."</span>\n</a>\n";
        }
    }
    
    if($kekka["count"] != 0){
        $page_su = ceil($kekka["count"] / 10);
        print "<div id='page_select'>\n";
        
        if($get_page != 1){
            print "<a href='".$dir_path."archive/category.php".$category_this."?page=".($get_page - 1)."' class='page_button'>&lt;&lt; 前</a>";
        }
        
        $page_cnt = $get_page - 4;
        if($page_cnt > $page_su - 9){
            $page_cnt = $page_su - 9;
        }
        if($page_cnt <= 0){
            $page_cnt = 1;
        }
        
        $page_max = $get_page + 5;
        if($page_max < 10){
            $page_max = 10;
        }
        if($page_max > $page_su){
            $page_max = $page_su;
        }
        
        for(; $page_cnt <= $page_max; $page_cnt++){
            if($page_cnt == $get_page){
                print "<span>".$page_cnt."</span>";
            }else{
                print "<a href='".$dir_path."archive/category.php".$category_this."?page=".$page_cnt."'>".$page_cnt."</a>";
            }
        }
        
        if(intval($kekka["count"]) > ($get_page * 10)){
            print "<a href='".$dir_path."archive/category.php".$category_this."?page=".($get_page + 1)."' class='page_button'>次 &gt;&gt;</a>";
        }
        
        print "\n</div>\n";
    }
    
    if($mobile){
        print "<h3>".$category_bunkatsu[0]."のフィード</h3>\n";
        print "<a href='".$dir_path."feed/category/".urlencode($category_bunkatsu[0]).".atom'>atom</a>\n";
    }
}else{
    print "<a href='./'>目次</a> &gt;";
    print "<h1><img src='".$dir_path."style/category.png' alt='' style='width: 50px;'> カテゴリー別の目次</h1>";
    
    $list = array_keys($categories["dir"],"/");
    
    for($cnt = 0; isset($list[$cnt]); $cnt++){
        print "<a href='".$dir_path."archive/category.php/".urlencode($categories["category"][$list[$cnt]])."' style='font-size: x-large;'><img src='".$dir_path."style/category_icon.png' alt=''> ".$categories["category"][$list[$cnt]]."</a><br>\n";
            
        $c_rireki_path = "../entries/recent_articles_categories/".mb_convert_encoding($categories["category"][$list[$cnt]],$sys_conf["file_name_code"],"auto").".ini";
        $c_rireki = parse_ini_file($c_rireki_path);
            
        for($c_r_cnt = 1; $c_r_cnt <= 4; $c_r_cnt++){
            if(isset($c_rireki["title"][$c_r_cnt])){
                print "　";
                
                $rireki_hizuke = explode(" ",$c_rireki["created_date"][$c_r_cnt]);
                if($rireki_hizuke[0] === $kyo or $rireki_hizuke[0] === $kino){
                    print "<span class='new'>NEW</span> ";
                }
                
                print "<a href='".$dir_path."blog.php/".$c_rireki["path"][$c_r_cnt]."'>".$c_rireki["title"][$c_r_cnt]."</a><br>\n";
            }
        }
        
        print "<br>";
    }
}
?>
                </div>
<?php
if(!$mobile){
    print "<div id='side'>\n";
    
    include "side.php";

    if(isset($_SERVER["PATH_INFO"])){
        print "<h3>".$category_bunkatsu[0]."に関連のタグ</h3>\n";
        print "<div class='tag_cloud'>\n";
        readfile("../entries/tags_categories/".mb_convert_encoding($category_bunkatsu[0],$sys_conf["file_name_code"],"auto").".html");
        print "</div>\n";
        
        print "<h3>".$category_bunkatsu[0]."のフィード</h3>\n";
        print "<a href='".$dir_path."feed/category/".urlencode($category_bunkatsu[0]).".atom'>atom</a>\n";
    }
    
    print "</div>\n";
}

footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->