<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check("master");
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>広告領域の設定 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>広告領域の設定</h1>
<?php
$ad = parse_ini_file("../config/ad.ini");

if(isset($_POST["top_ad"]) && isset($_POST["side_ad"]) && isset($_POST["bottom_ad"]) && isset($_POST["end_ad"])){
    $kaigyo = array("\n","\r");
    
    $ad_naiyo = "top_ad=\"".str_replace($kaigyo,"",str_replace("\"","\\\"",str_replace("\\","\\\\",$_POST["top_ad"])))."\"\nside_ad=\"".str_replace($kaigyo,"",str_replace("\"","\\\"",str_replace("\\","\\\\",$_POST["side_ad"])))."\"\nbottom_ad=\"".str_replace($kaigyo,"",str_replace("\"","\\\"",str_replace("\\","\\\\",$_POST["bottom_ad"])))."\"\nend_ad=\"".str_replace($kaigyo,"",str_replace("\"","\\\"",str_replace("\\","\\\\",$_POST["end_ad"])))."\"";
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        file_put_contents("../config/ad.ini",$ad_naiyo);
        print "<span style='font-size: x-large;'>変更を保存しました。</span><br><br>";
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
    }
    
    $ad = parse_ini_string($ad_naiyo);
}
?>

各ページの上部・左メニュー・下部のそれぞれの領域に、HTMLコードを挿入することができます。<br>
アフィリエイト広告や、ブログランキングへのリンクに活用いただけます。<br><br>

<script type='text/javascript' src='../lib/hongi_editor_2/main.js'></script>
<script type="text/javascript">
    hongi_editor_set_browse_image_function("image_sansho_hongi_editor");
</script>

<form action='ad.php' method='post'>

<h4>上部領域：</h4>
<?php
print "<textarea name='top_ad' style='width: 95%; height: 200px;'>".htmlspecialchars($ad["top_ad"])."</textarea>";
?>
<script type='text/javascript'>hongi_editor_include('top_ad');</script>

<h4>左メニュー領域：</h4>
<?php
print "<textarea name='side_ad' style='width: 180px; height: 300px;'>".htmlspecialchars($ad["side_ad"])."</textarea>";
?>
<script type='text/javascript'>hongi_editor_include('side_ad');</script>

<h4>記事下部領域：</h4>
<?php
print "<textarea name='bottom_ad' style='width: 95%; height: 200px;'>".htmlspecialchars($ad["bottom_ad"])."</textarea>";
?>
<script type='text/javascript'>hongi_editor_include('bottom_ad');</script>

<h4>ページ下端領域：</h4>
<?php
print "<textarea name='end_ad' style='width: 95%; height: 200px;'>".htmlspecialchars($ad["end_ad"])."</textarea>";
?>
<script type='text/javascript'>hongi_editor_include('end_ad');</script>
<br><br>

<?php
print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>";
?>
<button type='submit' style='font-size: x-large;'>編集確定</button>
</form>

<br><br>
            <a href="main.php">&lt;&lt;コントロールパネルTOP</a><br>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->