<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check("master");
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>画像認証モジュールの設定 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>基本情報設定</h1>
画像認証モジュール「自在CAPTCHA」の設定を行います。<br><br>
<?php

include "../lib/zizai_captcha/admin.php";
$config = new zizai_captcha_config();

if(isset($_POST["expire"],$_POST["characters_count"])){
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        $config->set_expire($_POST["expire"]);
        $config->set_characters_count($_POST["characters_count"]);
        print "<span style='font-size: x-large;'>保存しました。</span><br><br>";
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
    }
}
?>

<form action='captcha_config.php' method='post'>

<h3>有効期限</h3>
認証用画像の有効期限を秒単位で設定します。<br>
<?php print "<input type='text' name='expire' value='".$config->get_expire()."' style='font-size: x-large;'>秒<br><br>"; ?>

<h3>文字数</h3>
認証に使用する文字数を1～8文字の範囲で設定します。<br>
<?php print "<input type='text' name='characters_count' value='".$config->get_characters_count()."' style='font-size: x-large;'>文字<br><br>"; ?>

<?php print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>"; ?>

<button type='submit' style='font-size: x-large;'>編集確定</button>
</form>
            <br>
            <br>
            <a href="main.php">&lt;&lt;コントロールパネルTOP</a><br>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->