<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check("master");
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>コメントの設定 | ".$setting["title"]."</title>";
?>
    <a href="image_upload.php"></a>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>コメントの設定</h1>
コメントに関連する設定を行います。<br>
<?php
    if(isset($_POST["enable_comment"])){
        
        if(isset($_POST["auto_approval"])){
            $auto_approval_naiyo = "true";
        }else{
            $auto_approval_naiyo = "false";
        }
        $comment_ini_naiyo = "enable_comment=".$_POST["enable_comment"]."\nauto_approval=".$auto_approval_naiyo;
        
        if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
            file_put_contents("../config/comment.ini",$comment_ini_naiyo);
            
            print "<br><span style='font-size: x-large;'>変更を保存しました。</span><br><br>";
        }else{
            print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
        }
        
        $comment_ini_2 = parse_ini_string($comment_ini_naiyo);
    }else{
        $comment_ini_2 = parse_ini_file("../config/comment.ini");
    }
    
    print "<form action='comment_config.php' method='post'>";
    print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>";
    
    print "<h4>コメントの受け付け</h4>";
    print "<select name='enable_comment'>";
    switch($comment_ini_2["enable_comment"]){
        case 2:
            print "<option value='2' selected>コメントを受け付ける</option>";
            print "<option value='1'>コメント受け付けの一時停止</option>";
            print "<option value='0'>全コメントを非表示</option>";
            break;
        case 1:
            print "<option value='2'>コメントを受け付ける</option>";
            print "<option value='1' selected>コメント受け付けの一時停止</option>";
            print "<option value='0'>全コメントを非表示</option>";
            break;
        case 0:
            print "<option value='2'>コメントを受け付ける</option>";
            print "<option value='1'>コメント受け付けの一時停止</option>";
            print "<option value='0' selected>全コメントを非表示</option>";
            break;
    }
    print "</select>";
    
    print "<h4>コメントの自動承認</h4>";
    if($comment_ini_2["auto_approval"]){
        print "<input type='checkbox' name='auto_approval' value='yes' checked='checked'>コメントを自動的に承認する<br>";
    }else{
        print "<input type='checkbox' name='auto_approval' value='yes'>コメントを自動的に承認する<br>";
    }
    print "　コメントを自動承認しない場合、訪問者からのコメントはコメントの一覧に表示されません。<br><br><br>";
    
    print "<button type='submit'>編集確定</button>";
    print "</form>";
            ?>
            <br>
            <br>
            <a href="main.php">&lt;&lt;コントロールパネルTOP</a><br>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->