<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check();
if($user_id == FALSE){
    header("Location: index.php");
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

print "<title>既存ページの管理 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
<div id="content">
    <h1>既存ページの管理</h1>
<script type="text/javascript">
    function trash_kakunin(){
        if(confirm("この記事をごみ箱に移動します。\nよろしいですか？")){
            return true;
        }else{
            return false;
        }
    }
</script>
<?php
$kihon_path = "../entries/".$_GET["page"];

$config_path = $kihon_path."_config.ini";
$content_path = $kihon_path."_content.html";
$comment_path = $kihon_path."_comment.ini";

if(file_exists($config_path) and file_exists($content_path) and file_exists($comment_path)){
    $config = parse_ini_file($config_path);
    print "<span style='font-size: x-large;'>編集するページ：<br><b>".$config["title"]."</b></span><br>パス： ".$_GET["page"]."<br><br>\n";
    print "<form action='article.php' method='post'><input type=hidden name='page' value='".htmlspecialchars($_GET["page"])."'><button type='submit' style='font-size: x-large;'>記事の修正</button></form>この記事のタイトルやカテゴリ、本文などを変更します。<br><br>\n";
    print "<form action='comment.php' method='post'><input type=hidden name='page' value='".htmlspecialchars($_GET["page"])."'><button type='submit' style='font-size: x-large;'>コメントの修正</button></form>訪問者から寄せられたコメントや、管理者自身のコメントを変更します。<br><br>\n";
}else{
    print "<span style='font-size: xx-large;'>指定されたページが見つかりません。</span><br><br>\n";
}
?>
    <a href="main.php">管理者トップページ</a>
</div>
<div id="side">
    <?php include "side.php"; ?>
</div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->