<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check();
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

print "<title>画像のアップロード | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>画像のアップロード</h1>
<?php
if(isset($_FILES["up_file"])){
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        $time_s = time();
        $hizuke = date("Y-m-d H:i:s",$time_s);
        $yobi_list = array("日","月","火","水","木","金","土");
        $hizuke_jp = date("Y/n/j",intval($time_s))." (".$yobi_list[intval(date("w",intval($time_s)))].") ".date("A g:i",intval($time_s));
        
        include "../lib/chonmage_core/main.php";
        $chonmage = new chonmage();
        
        for($f_cnt = 0; isset($_FILES["up_file"]["tmp_name"][$f_cnt]); $f_cnt++){
            if($_FILES["up_file"]["error"][$f_cnt] === UPLOAD_ERR_OK){
                if(isset($_POST["save_original"][$f_cnt])){
                    $image_path = $chonmage->add_image($_FILES["up_file"]["tmp_name"][$f_cnt],$_POST["author"],$_POST["alt"][$f_cnt],$_POST["description"][$f_cnt],$_POST["tag"][$f_cnt],TRUE);
                }else{
                    $image_path = $chonmage->add_image($_FILES["up_file"]["tmp_name"][$f_cnt],$_POST["author"],$_POST["alt"][$f_cnt],$_POST["description"][$f_cnt],$_POST["tag"][$f_cnt],FALSE);
                }
                
                print "<h2>".($f_cnt + 1)."つ目のファイルのアップロードに成功しました。</h2>";
                print "<h3>アップロードされたファイルのURL：</h3>";
                print "<input type='text' value='".$dir_path."image/".$image_path."' style='width: 300px; font-size: x-large;' readonly='readonly'><br>";
                print "<h3>アップロードされた画像：</h3>";
                print "<img src='".$dir_path."image/".$image_path."_150.jpeg' alt=''><br>";
                print "<span style='font-size: x-large;'>".$_POST["alt"][$f_cnt]."</span><br><br>";
            }else{
                print "<span style='font-size: x-large;' color: #ff0000;>".($f_cnt + 1)."つ目のファイルが正常にアップロードされませんでした。</span><br>";
                print "エラーコード".$_FILES["up_file"]["error"][$f_cnt];
            }
        }
        
        print "<a href='main.php'>&lt;&lt; 管理者トップページ</a><br><br>";
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
    }
}
?>
<h2>新規画像ファイルのアップロード</h2>
<script type="text/javascript">
function file_change(){
    var files = document.getElementById("up_file").files;
    var elm = document.getElementById("view");
    
    var kosu = files.length;
    elm.innerHTML = "<h3>選択されているファイル</h3>現在選択中のファイル： " + kosu + "個<br><br>";
    
    for(var cnt = 0; cnt < kosu; cnt++){
        var naiyo = "<h4>" + (cnt + 1) + "つ目のファイル</h4>";
        
        var fr = new FileReader();
        if(files[cnt].type.match("image.*")){
            naiyo = naiyo + "<img id='up_image_" + (cnt) + "' src='' alt='' style='max-width: 300px; max-height: 300px;'><br>画像の角度はアップロード後に自動修正されます。<br><br>"
            + "<b>この画像のタイトル(alt)：</b><br><input type='text' name='alt[" + (cnt) + "]' style='width: 300px;'><br><br>"
            + "<b>この画像のタグ(スペースで区切って10個まで)：</b><br><input type='text' name='tag[" + (cnt) + "]' style='width: 300px;'><br><br>"
            + "<b>この画像の説明：</b><br><textarea name='description[" + (cnt) + "]' style='width: 300px;'></textarea><br><br>"
            + "<input type='checkbox' name='save_original[" + (cnt) + "]' value='yes'><b>この画像のオリジナルを保存する。</b><br>";
            if(cnt == 0){
                naiyo = naiyo + "【!】写真などサイズの大きい画像のオリジナルを保存すると、サーバー容量を大きく消費します。<br>";
            }
            elm.innerHTML = elm.innerHTML + naiyo;
            
            file_view(fr,cnt);
            
            fr.readAsDataURL(files[cnt]);
        }else{
            naiyo = naiyo + "<span style='color: #ff0000;'>これは画像ファイルではないためアップロードできません！</span><br><br>";
            elm.innerHTML = elm.innerHTML + naiyo;
        }
    }
}

function file_view(fr_2,cnt_2){
    fr_2.onload = function(ev){
        document.getElementById("up_image_" + cnt_2).src = ev.target.result;
        cnt_2++;
    };
}

function up_kakunin(){
    var files = document.getElementById("up_file").files;
    var kosu = files.length;
    
    if(kosu >= 1){
        if(confirm("アップロードします。\nよろしいですか？")){
            document.getElementById("button_wrapper").innerHTML = "しばらくお待ちください...";
            return true;
        }else{
            return false;
        }
    }else{
        alert("アップロードするファイルが選択されていません。");
        return false;
    }
}
</script>
<form action="image_upload.php" method="post" enctype="multipart/form-data" onsubmit="return up_kakunin();">
    <h3>アップロードする画像ファイル(16MBまで)：</h3>
    <input type="hidden" name="MAX_FILE_SIZE" value="16777216"><input type="file" name="up_file[]" multiple="multiple" onchange="file_change();" id="up_file"><br>
    <br>
    ※複数ファイルの同時アップロードに対応しています。<br>
    <div id="view"></div>
    <br>
    <h3>投稿者名</h3>
    <input name="author" style="width: 300px;"><br>
    <br>
<?php
print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>";
?>
    <span id="button_wrapper"><button type="submit" style="width: 110px; height: 30px; padding: 5px;">アップロード</button></span>
</form>
<br>
※ファイル名は自動的にリネームされます。<br>
※画像以外のファイルをアップロードするとエラーとなります。<br>
※長辺が5000pxを超える画像のアップロードは、システムエラーの原因になります。<br>
<br>
<br>
<a href="main.php">&lt;&lt; 管理者トップページ</a>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->