<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check("master");
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>フォームの送信先メールアドレスの設定 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>フォームの送信先メールアドレスの設定</h1>
メールフォームモジュール「自在ポストMINIMUM」の設定を行います。<br><br>
<?php
if(isset($_POST["mail_addresses"])){
    $mail_addresses = $_POST["mail_addresses"];
    
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        file_put_contents("../lib/zizai_post_min/mail_addresses.ini",$_POST["mail_addresses"]);
        
        print "<span style='font-size: x-large;'>保存しました。</span><br><br>";
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
    }
}else{
    $mail_addresses = file_get_contents("../lib/zizai_post_min/mail_addresses.ini");
}
?>

<form action='mail_config.php' method='post'>

<h3>送信先メールアドレス</h3>
複数のメールアドレスに同時送信する場合は、1行に1つずつ入力してください。<br>
<?php print "<textarea name='mail_addresses' style='width: 200px; height: 250px;'>".htmlspecialchars($mail_addresses)."</textarea>"; ?>
<br><br>
<?php print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>"; ?>

<button type='submit' style='font-size: x-large;'>編集確定</button>
</form>
            <br>
            <br>
            <a href="main.php">&lt;&lt;コントロールパネルTOP</a><br>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->