<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check();
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>管理者トップページ | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>管理者トップページ</h1>
<?php
$comment_ini = parse_ini_file("../config/comment.ini");

if(!$comment_ini["auto_approval"]){
    print "<h2>新しい未承認のコメント</h2>\n";
    
    $rireki = parse_ini_file("../entries/recent_comments.ini");
    
    $time_s = time();
    $kyo = date("Y/n/j",$time_s);
    $kino = date("Y/n/j",$time_s - 86400);
    
    $not_approved_kensu = 0;
    for($r_cnt = 1; isset($rireki["text"][$r_cnt]) && $not_approved_kensu < 12; $r_cnt++){
        if(!$rireki["approved"][$r_cnt]){
            print "<a href='comment.php?page=".$rireki["page"][$r_cnt]."&comment_number=".$rireki["number"][$r_cnt]."' class='small_link'>";
            
            $rireki_hizuke = explode(" ",$rireki["date"][$r_cnt]);
            
            if($rireki_hizuke[0] === $kyo or $rireki_hizuke[0] === $kino){
                print "<span class='new'>NEW</span> ";
            }
            
            print $rireki["text"][$r_cnt];
            
            print "<span class='supplement'>投稿者： ".$rireki["author"][$r_cnt];
            if(!$mobile){
                print "　　投稿日時： ".$rireki["date"][$r_cnt];
            }
            print "</span>\n";
            print "</a>\n";
            
            $not_approved_kensu++;
        }
    }
    
    if($not_approved_kensu == 0){
        print "<span style='font-size: x-large;'>表示するコメントはありません。</span>\n";
    }
}
?>
<h2>基本機能</h2>
<a href="notice.php" style="font-size: x-large;">お知らせの更新</a><br>
<br>
<a href="article.php" style="font-size: x-large;">新しい記事の作成</a><br>
<br>
<a href="hidden_pages.php">非表示の記事</a>

<h3>画像ファイルの管理</h3>
<a href="image_upload.php" style="font-size: x-large;">画像のアップロード</a><br>
<br>
<a href="image_edit.php">既存画像の編集</a>

<h3>メールフォーム(自在ポストMINIMUM)</h3>
<a href="../lib/zizai_post_min/edit_form.html" style="font-size: x-large;">メールフォームの作成・編集</a><br>
<?php
if($user_info["is_master"]){
?>
<br>
<a href="mail_config.php">送信先メールアドレスの設定</a>

<h2>一般の設定</h2>
<a href="setting.php">基本情報設定</a><br>
<a href="comment_config.php">コメントの設定</a><br>
<a href="author_data.php">著者情報の編集</a><br>
<a href="top.php">トップページの設定</a><br>
<a href="categories.php">カテゴリーの編集</a><br>
<a href="ad.php">広告領域の設定</a>

<h2>ヘルプ</h2>
<a href="about/" target="_blank">バージョン情報</a>

<h2>詳細設定</h2>
<h3>システムの設定</h3>
<a href="sys_conf.php">システムの詳細設定</a><br>
<a href="db_setup.php">データベースのセットアップ</a>

<h3>管理者アカウント設定</h3>
<a href="manage_user.php">ユーザー管理</a>

<h3>標準モジュールの設定</h3>
<a href="captcha_config.php">画像認証モジュールの設定</a>
<?php
}
?>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->