<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check();
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

print "<title>お知らせの更新 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>お知らせの更新</h1>
<script type="text/javascript">
    function juyo(){
        if(document.notice_form.important.checked){
            document.getElementById("juyo_mozi").style.color = "#ff0000";
        }else{
            document.getElementById("juyo_mozi").style.color = "";
        }
    }
</script>
<?php

if(isset($_POST["text"])){
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        $yobi_list = array("日","月","火","水","木","金","土");
        $date_time = date("Y/n/j")." (".$yobi_list[intval(date("w"))].") ".date("A g:i");
        
        $notice_naiyo = 'text="'.addslashes($_POST["text"]).'"'."\n".'modified_date="'.$date_time.'"'."\n";
        
        if(isset($_POST["important"])){
            $notice_naiyo = $notice_naiyo.'important=true';
        }else{
            $notice_naiyo = $notice_naiyo.'important=false';
        }
        
        file_put_contents("../entries/notice.ini",$notice_naiyo);
        
        print "<span style='font-size: x-large;'>更新しました。</span>　".$date_time.":".date("s")."<br>";
        
        $notice = parse_ini_file("../entries/notice.ini");
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>フォームの内容を再送信してください。</div>";
        
        $notice = parse_ini_file("../entries/notice.ini");
        
        $notice["text"] = $_POST["text"];
        if(isset($_POST["important"])){
            $notice["important"] = TRUE;
        }else{
            $notice["important"] = FALSE;
        }
    }
}else{
    $notice = parse_ini_file("../entries/notice.ini");
}


print "前回の更新： ".$notice["modified_date"];
print "<form action='notice.php' method='post' name='notice_form'>";
if($notice["important"]){
    print "<input type='checkbox' name='important' value='yes' onclick='juyo();' checked='checked'><span id='juyo_mozi' style='font-weight: bold;'>重要なメッセージ</span><br><br>";
    print "<script type='text/javascript'>window.onload = function(){juyo();};</script>";
}else{
    print "<input type='checkbox' name='important' value='yes' onclick='juyo();'><span id='juyo_mozi' style='font-weight: bold;'>重要なメッセージ</span><br><br>";
}
print "<script src='".$dir_path."lib/hongi_editor_2/main.js'></script>";
print "<textarea name='text' style='width: 95%; height: 400px;'>".htmlspecialchars($notice["text"])."</textarea>";
print "<script type='text/javascript'>hongi_editor_include('text');hongi_editor_set_browse_image_function('image_sansho_hongi_editor');</script>";
print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>";
print "<button type='submit' style='font-size: x-large; padding: 8px;'>更新</button>";
print "</form>";
?>
<br>
<a href="main.php">&lt;&lt;管理者トップページ</a>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->