<?php
include "../common/main.php";

include "../lib/wakarana/main.php";

$wakarana = new wakarana();
$user_id = $wakarana->check();
if($user_id == FALSE){
    header("Location: index.php?go_to=".urlencode(basename($_SERVER['PHP_SELF'])));
    exit(0);
}
$user_info = $wakarana->get_user_info($user_id,FALSE);

header("X-Frame-Options: SAMEORIGIN");
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();
print "<title>パスワードの変更 | ".$setting["title"]."</title>";
?>
        <script type="text/javascript" src="owner.js"></script>
        <link rel="stylesheet" href="owner.css" type="text/css">
    </head>
    <body>
<?php header_include(); ?>
                <div id="content">
<h1>パスワードの変更</h1>
あなたのログインパスワードを変更します。<br>
<br>
<?php
if(isset($_POST["old_pass"],$_POST["new_pass"])){
    if(isset($_POST["token"]) && $wakarana->check_one_time_token($user_id,$_POST["token"])){
        if($wakarana->check_password($user_id,$_POST["old_pass"])){
            $wakarana->change_user_data($user_id,$_POST["new_pass"]);
            
            print "<span style='font-size: x-large;'>パスワードを変更しました。</span><br><br>";
        }else{
            print "<span style='font-size: x-large; color: #ff0000;'>エラー : 元のパスワードが間違っています。</span><br><br>";
        }
    }else{
        print "<div style='color: #ff0000; font-weight: bold; background-color: #ffcccc; padding: 16px;'>ワンタイムトークンが無効です。<br>変更は破棄されました。</div>";
    }
}
?>

<form action='password.php' method='post'>

<h3>元のパスワード</h3>
確認のため、現在のパスワードを入力してください。<br>
<input type="password" name="old_pass">

<h3>新しいパスワード</h3>
新しく設定するパスワードを入力してください。<br>
<input type="password" name="new_pass"><br><br><br>

<?php print "<input type='hidden' name='token' value='".$wakarana->create_one_time_token($user_id)."'>"; ?>

<button type='submit' style='font-size: x-large;'>変更確定</button>
</form>
            <br>
            <br>
            <a href="main.php">&lt;&lt;コントロールパネルTOP</a><br>
                </div>
                <div id="side">
                    <?php include "side.php"; ?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->