<?php
include "../common/main.php";
?><!DOCTYPE html>
<html>
    <head>
<?php head_include();

if(isset($_GET["q"])){
    $get_q_dec = urldecode($_GET["q"]);
    $get_q_henkan_before = str_replace("　"," ",$get_q_dec);
    
    /*不必要な半角スペースの削除*/
    while(1){
        $get_q_henkan_after = str_replace("  "," ",$get_q_henkan_before);/*2連続のスペースを1連続に変換*/
        if($get_q_henkan_after === $get_q_henkan_before){
            break;
        }
        $get_q_henkan_before = $get_q_henkan_after;
    }
    
    /*先頭のスペースを削除*/
    $kekka_pos = strpos($get_q_henkan_after," ",0);
    if($kekka_pos === 0){
        $get_q_henkan_after = substr($get_q_henkan_after,1);
    }
    
    /*末尾のスペースを削除*/
    $get_q_nagasa = strlen($get_q_henkan_after);
    if($get_q_nagasa != 0){
        $kekka_pos = strpos($get_q_henkan_after," ",$get_q_nagasa - 1);
        if($kekka_pos !== FALSE){
            $get_q_henkan_after = substr($get_q_henkan_after,0,$get_q_nagasa - 1);
        }
    }
    if(strlen($get_q_henkan_after) != 0){
        $word_hyoji = htmlspecialchars($get_q_henkan_after);
        
        print "<title>「".$word_hyoji."」の画像検索結果 | ".$setting["title"]."</title>";
    }else{
        print "<title>画像の検索 | ".$setting["title"]."</title>";
    }
}else{
    print "<title>画像の検索 | ".$setting["title"]."</title>";
}
?>
    </head>
    <body>
<?php header_include(); ?>
                <div id="content" style="width: 100%;">
<?php
if(!empty($get_q_henkan_after)){
    print "<form action='image.php' method='get'>";
    print "<input type='search' name='q' value='".$word_hyoji."' style='font-size: x-large; width: calc(100% - 100px);'> <button type='submit' style='font-size: x-large; padding: 2px 16px;'>検索</button>";
    print "</form>";
    
    print "<h1><img src='".$dir_path."style/search.png' alt='' style='width: 50px;'> 「".$word_hyoji."」の画像検索結果</h1>";
    
    if(isset($_GET["page"]) == TRUE){
        $get_page = intval($_GET["page"]);
        
        if($get_page <= 0 || is_numeric($_GET["page"]) == FALSE){
            $get_page = 1;
        }
        
        $limit_q = ($get_page - 1) * 15;
    }else{
        $get_page = 1;
        $limit_q = 0;
    }
    
    include "../lib/chonmage_core/main.php";
    
    $chonmage = new chonmage();
    
    $q = Array();
    $q["tags"] = $get_q_henkan_after;
    
    $search_kekka = $chonmage->search_image($q,$limit_q,15);
    
    if($search_kekka !== NULL){
        $kosu = count($search_kekka["image_id"]);
        print "<b>".$get_page."</b>ページ目　　<b>".($limit_q + 1)."件目 から ".($limit_q + $kosu)."件目<br><br>\n";
        
        
        $kensaku_word = explode(" ",$get_q_henkan_after);
        $word_cnt = count($kensaku_word);
        
        print "<div style='margin-left: -10px;'>";
        /*検索結果の出力*/
        for($q_cnt = 0; $q_cnt < $kosu; $q_cnt++){
            for($kyocho_cnt = 0; $kyocho_cnt < $word_cnt; $kyocho_cnt++){
                $search_kekka["image_title"][$q_cnt] = str_ireplace($kensaku_word[$kyocho_cnt],"<b>".$kensaku_word[$kyocho_cnt]."</b>",$search_kekka["image_title"][$q_cnt]);
            }
            
            print "<a href='".$dir_path."image/".$search_kekka["image_id"][$q_cnt]."_600.jpeg' target='_blank' class='image_thum'><img src='".$dir_path."image/".$search_kekka["image_id"][$q_cnt]."_150.jpeg' alt=''>".$search_kekka["image_title"][$q_cnt]."</a>\n";
        }
        print "</div>";
        
        
        $get_q_enc = urlencode($get_q_henkan_after);
    
        $page_su = ceil($search_kekka["count"] / 15);
        print "<div id='page_select'>\n";
        
        if($get_page != 1){
            print "<a href='image.php?q=".$get_q_enc."&page=".($get_page - 1)."' class='page_button'>&lt;&lt; 前</a>";
        }
        
        $page_cnt = $get_page - 4;
        if($page_cnt > $page_su - 9){
            $page_cnt = $page_su - 9;
        }
        if($page_cnt <= 0){
            $page_cnt = 1;
        }
        
        $page_max = $get_page + 5;
        if($page_max < 10){
            $page_max = 10;
        }
        if($page_max > $page_su){
            $page_max = $page_su;
        }
        
        for(; $page_cnt <= $page_max; $page_cnt++){
            if($page_cnt == $get_page){
                print "<span>".$page_cnt."</span>";
            }else{
                print "<a href='image.php?q=".$get_q_enc."&page=".$page_cnt."'>".$page_cnt."</a>";
            }
        }
        
        if(intval($search_kekka["count"]) > ($limit_q + 15)){
            print "<a href='image.php?q=".$get_q_enc."&page=".($get_page + 1)."' class='page_button'>次 &gt;&gt;</a>";
        }
        
        print "\n</div>\n";
    }else{
        print "指定されたタグを含む画像はありません。<br>";
    }
}else{
    print "<h1><img src='".$dir_path."style/search.png' alt='' style='width: 50px;'> 画像の検索</h1>";
    
    print "<form action='image.php' method='get'>";
    print "<input type='search' name='q' style='font-size: x-large; width: calc(100% - 100px);'> <button type='submit' style='font-size: x-large; padding: 2px 16px;'>検索</button>";
    print "</form>";
    
    print "イラスト・写真などの画像を対象にタグ検索を行います。";
}
?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->