<?php
include "../common/main.php";
?><!DOCTYPE html>
<html>
    <head>
<?php head_include(); 
if(isset($_GET["q"])){
    if(isset($_GET["page"]) == TRUE){
        $get_page = intval($_GET["page"]);
        
        if($get_page <= 0 or is_numeric($_GET["page"]) == FALSE){
            $get_page = 1;
        }
        
        $limit_q = $get_page*10 - 10;
    }else{
        $get_page = 1;
        $limit_q = 0;
    }
    
    include "../modules/db.php";
    
    $db = new open_hongi_db();
    
    if(isset($_GET["options"])){
        if(!empty($_GET["term"])){
            $kikan = intval($_GET["term"]);
        }else{
            $kikan = NULL;
        }
        
        if(!empty($_GET["category"])){
            $category = $_GET["category"];
        }else{
            $category = NULL;
        }
        
        $kekka = $db->search_by_keyword($_GET["q"],10,$get_page,$kikan,$category);
    }else{
        $kekka = $db->search_by_keyword($_GET["q"],10,$get_page);
    }
    
    if($kekka !== FALSE){
        $word_hyoji = htmlspecialchars(implode(" ",$kekka["keyword"]));
        
        print "<title>「".$word_hyoji."」の検索結果 | ".$setting["title"]."</title>";
    }else{
        print "<title>記事の検索 | ".$setting["title"]."</title>";
    }
}else{
    print "<title>記事の検索 | ".$setting["title"]."</title>";
}
?>
    </head>
    <body>
<?php header_include(); ?>
                <div id="content" style="width: 100%;">
<?php
if(!empty($kekka["keyword"])){
    print "<form action='./' method='get' name='search_box'>";
    print "<input type='search' name='q' value='".$word_hyoji."' style='font-size: x-large; width: calc(100% - 100px);'> <button type='submit' style='font-size: x-large; padding: 2px 16px;'>検索</button><br><br>";
    
    if(isset($_GET["options"])){
        print "<input type='hidden' name='options' value='on'>";
        
        print "<div style='padding: 4px 16px; background-color: #eeeeee;'>投稿日時： ";
        if($kikan !== NULL){
            print "<select name='term' onchange='document.search_box.submit()'>";
            
            print "<option value=''>指定なし</option>";
            if($kikan == 86400){
                print "<option value='86400' selected>24時間以内</option>";
            }else{
                print "<option value='86400'>24時間以内</option>";
            }
            if($kikan == 604800){
                print "<option value='604800' selected>1週間以内</option>";
            }else{
                print "<option value='604800'>1週間以内</option>";
            }
            if($kikan == 2592000){
                print "<option value='2592000' selected>1か月以内</option>";
            }else{
                print "<option value='2592000'>1か月以内</option>";
            }
            if($kikan == 31536000){
                print "<option value='31536000' selected>1年以内</option>";
            }else{
                print "<option value='31536000'>1年以内</option>";
            }
            
            print "</select>";
        }else{
            print "<select name='term' onchange='document.search_box.submit()'>";
            print "<option value='' selected>指定なし</option>";
            print "<option value='86400'>24時間以内</option>";
            print "<option value='604800'>1週間以内</option>";
            print "<option value='2592000'>1か月以内</option>";
            print "<option value='31536000'>1年以内</option>";
            print "</select>";
        }
    
        print "　カテゴリ： <select name='category' onchange='document.search_box.submit()'>";
        print "<option value=''>指定なし</option>";
        
        $categories = parse_ini_file("../config/categories.ini");
        
        $list = array_keys($categories["dir"],"/");
        
        $kaiso = array();
        
        $kosu = count($list);
        for($cnt_2 = 0; $cnt_2 < $kosu; $cnt_2++){
            $kaiso[] = 0;
        }
        
        for($cnt = 0; isset($list[$cnt]); $cnt++){
            $list_2 = array_keys($categories["dir"],$categories["dir"][$list[$cnt]].$categories["category"][$list[$cnt]]."/");
            array_splice($list,$cnt + 1,0,$list_2);
            
            $kaiso_2 = array();
            
            $kosu = count($list_2);
            for($cnt_2 = 0; $cnt_2 < $kosu; $cnt_2++){
                $kaiso_2[] = $kaiso[$cnt] + 1;
            }
            array_splice($kaiso,$cnt + 1,0,$kaiso_2);
            
            if(substr($categories["dir"][$list[$cnt]],1).$categories["category"][$list[$cnt]] == $_GET["category"]){
                print "<option value='".substr($categories["dir"][$list[$cnt]],1).$categories["category"][$list[$cnt]]."' selected>".str_repeat("&nbsp;-",$kaiso[$cnt]).$categories["category"][$list[$cnt]]."</option>";
            }else{
                print "<option value='".substr($categories["dir"][$list[$cnt]],1).$categories["category"][$list[$cnt]]."'>".str_repeat("&nbsp;-",$kaiso[$cnt]).$categories["category"][$list[$cnt]]."</option>";
            }
        }
        
        print "</select>";
        
        print "</div>";
        
        print "<h1><img src='".$dir_path."style/search.png' alt='' style='width: 50px;'> 「".$word_hyoji."」の絞り込み検索結果</h1>";
        
        
        $options_url = "&options=on&term=".$kikan."&category=".urlencode($_GET["category"]);
    }else{
        print "　<button onclick='location.href = \"image.php?q=\" + encodeURI(document.search_box.q.value)' type='button' style='padding: 8px;'>画像検索</button>　<button onclick='location.href = \"./?q=\" + encodeURI(document.search_box.q.value) + \"&options=on\"' type='button' style='padding: 8px;'>詳細検索(検索オプション)</button><br><br>";
        
        print "<h1><img src='".$dir_path."style/search.png' alt='' style='width: 50px;'> 「".$word_hyoji."」の検索結果</h1>";
        
        
        $options_url = "";
    }
    
    print "</form><br>";
    
    
    if(($limit_q + 10) > $kekka["count"]){
        $kensu2 = $kekka["count"];
    }else{
        $kensu2 = $limit_q + 10;
    }
    
    if($kekka["count"] != 0){
        print "<b>".$get_page."</b>ページ目　　<b>".$kekka["count"]."</b>件 中　".($limit_q + 1)."件目 から ".$kensu2."件目<br><br>\n";
    }else{
        print "指定されたキーワードを含む記事はありません。<br>";
    }
    
    
    $time_s = time();
    $kyo = date("Y-m-d",$time_s);
    $kino = date("Y-m-d",$time_s - 86400);
    
    /*検索結果の出力*/
    $keyword_kosu = count($kekka["keyword"]);
    
    for($q_cnt = 0; isset($kekka["path"][$q_cnt]); $q_cnt++){
        for($kyocho_cnt = 0; $kyocho_cnt < $keyword_kosu; $kyocho_cnt++){
            $kekka["title"][$q_cnt] = str_ireplace($kekka["keyword"][$kyocho_cnt],"<b>".$kekka["keyword"][$kyocho_cnt]."</b>",$kekka["title"][$q_cnt]);
        }
        
        print "<a href='".$dir_path."blog.php/".$kekka["path"][$q_cnt]."' class='link_box'>\n";
        if(strlen($kekka["main_image"][$q_cnt]) != 0){
            print "<img src='".$dir_path."image/".$kekka["main_image"][$q_cnt]."_150.jpeg' alt=''>";
        }
        print $kekka["title"][$q_cnt]."<br>\n";
        
        if(substr($kekka["created_date"][$q_cnt],0,10) === $kyo or substr($kekka["created_date"][$q_cnt],0,10) === $kino){
            print "<span class='new'>NEW</span> ";
        }
        
        if(!$mobile){
            print "<span class='supplement'>投稿日時： ".$kekka["created_date"][$q_cnt]."</span><br>\n";
        }
        print "</a>\n";
    }
    
    
    $get_q_enc = urlencode(implode(" ",$kekka["keyword"]));
    
    if($kekka["count"] != 0){
        $page_su = ceil($kekka["count"] / 10);
        print "<div id='page_select'>\n";
        
        if($get_page != 1){
            print "<a href='./?q=".$get_q_enc."&page=".($get_page - 1).$options_url."' class='page_button'>&lt;&lt; 前</a>";
        }
        
        $page_cnt = $get_page - 4;
        if($page_cnt > $page_su - 9){
            $page_cnt = $page_su - 9;
        }
        if($page_cnt <= 0){
            $page_cnt = 1;
        }
        
        $page_max = $get_page + 5;
        if($page_max < 10){
            $page_max = 10;
        }
        if($page_max > $page_su){
            $page_max = $page_su;
        }
        
        for(; $page_cnt <= $page_max; $page_cnt++){
            if($page_cnt == $get_page){
                print "<span>".$page_cnt."</span>";
            }else{
                print "<a href='./?q=".$get_q_enc."&page=".$page_cnt.$options_url."'>".$page_cnt."</a>";
            }
        }
        
        if(intval($kekka["count"]) > ($limit_q + 10)){
            print "<a href='./?q=".$get_q_enc."&page=".($get_page + 1).$options_url."' class='page_button'>次 &gt;&gt;</a>";
        }
        
        print "\n</div>\n";
    }
}else{
    print "<h1><img src='".$dir_path."style/search.png' alt='' style='width: 50px;'> 記事の検索</h1>";
    
    print "<form action='./' method='get' name='search_box'>";
    print "<input type='search' name='q' style='font-size: x-large; width: calc(100% - 100px);'> <button type='submit' style='font-size: x-large; padding: 2px 16px;'>検索</button>";
    print "</form><br>";
        
    print "記事のタイトルを対象にキーワード検索を行います。<br><br>";
    
    print "<button onclick='location.href = \"image.php?q=\" + encodeURI(document.search_box.q.value)' type='button' style='padding: 8px;'>画像検索</button>";
}
?>
                </div>
<?php footer_include(); ?>
    </body>
</html><!--Powered by Open本紀-->